﻿<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="../Components/ConfigInfo.asp" -->
<!-- #Include File="../Components/CommonFunctions.asp" -->
<!-- #Include File="../Components/CDataOperator.asp" -->
<!-- #Include File="CheckForAdmin.asp" -->
<%
'数据源连接字符串
Dim mainDataConnectionString
mainDataConnectionString = CF_GetConfigInfo("DCSDataSourceString") & Server.MapPath("../Database") & "\" & CF_GetConfigInfo("DCSDatabaseFileName")

Dim dataOper
Set dataOper = New DataOperator
dataOper.OpenDatabase mainDataConnectionString

Dim bloggerNum
bloggerNum = dataOper.ExecuteArray("SELECT COUNT(UID) FROM T_Bloggers", Null)
Dim showNum, hideNum
showNum = dataOper.ExecuteArray("SELECT COUNT(UID) FROM T_Bloggers WHERE [Show] = True", Null)
hideNum = dataOper.ExecuteArray("SELECT COUNT(UID) FROM T_Bloggers WHERE [Show] = False", Null)

Dim arrBloggerInfo
arrBloggerInfo = dataOper.ExecuteArray("SELECT [UID], [Title], [UserName], [Password], [EMail], [LastUpdateTime], [FriendPassword], [Show] FROM T_Bloggers ORDER BY [UID]", Null)

Set dataOper = Nothing
%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>nirvana - ADMIN - 管理 Blogger(s)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="Admin.css" />
</head>
<body>
<h1>nirvana 0.6 - ADMIN</h1>
<div id="nav"><ul><script type="text/javascript" src="NavItems.js"></script></ul></div>
<div id="content">
	<dl>
		<dt>管理 Blogger(s)</dt>
		<dd style="padding:5px;">总人数：<% = bloggerNum(0, 0) %>；可见：<% = showNum(0, 0) %>；隐藏：<% = hideNum(0, 0) %></dd>
		<dd>
			<table cellspacing="1" id="allBloggerList">
				<tr style="color:#FFF;background-color:#369;">
					<th>ID</th>
					<th>Blog 名称</th>
					<th>用户名</th>
					<th>E-mail</th>
					<th>最后更新</th>
					<th>管理操作</th>
				</tr>
<%
If Not IsNull(arrBloggerInfo) Then
	Dim r
	For r = 0 To UBound(arrBloggerInfo, 2)
%>
				<tr <% If CBool(arrBloggerInfo(7, r)) Then %>bgcolor="#FFFFFF"<% Else %>bgcolor="#CCCCCC"<% End If %>>
					<td align="center"><% = arrBloggerInfo(0, r) %></td>
					<td><% = Server.HTMLEncode(arrBloggerInfo(1, r)) %></td>
					<td align="center"><% = Server.HTMLEncode(arrBloggerInfo(2, r)) %></td>
					<td><% = arrBloggerInfo(4, r) %></td>
					<td><% If IsNull(arrBloggerInfo(5, r)) Then %>N/A<% Else %><% = FormatDateTime(arrBloggerInfo(5, r), vbShortDate) %><% End If %></td>
					<td align="center" class="operCell">
						<% If CBool(arrBloggerInfo(7, r)) Then %><a href="HideBlogger.asp?A=H&amp;ID=<% = arrBloggerInfo(0, r) %>">[H]</a><% Else %><a href="HideBlogger.asp?A=S&amp;ID=<% = arrBloggerInfo(0, r) %>">[S]</a><% End If %>
						<a href="../Helpers/T_ReCountEntryNum.asp?ID=<% = arrBloggerInfo(0, r) %>" title="重新统计网志数" target="_blank">[F1]</a>
						<a href="../Helpers/T_ReCountCommentNum.asp?ID=<% = arrBloggerInfo(0, r) %>" title="重新统计评论数" target="_blank">[F2]</a>
						<a href="../Helpers/T_SetBloggerLastUpdateTime.asp?ID=<% = arrBloggerInfo(0, r) %>" title="重新设置最后更新时间" target="_blank">[F3]</a>
						<a href="DeleteBlogger.asp?ID=<% = arrBloggerInfo(0, r) %>" onclick="return confirm('Sure to do so?');">[X]</a>
					</td>
				</tr>
<%
	Next
End If
%>
			</table>
		</dd>
		<dd><a href="../Helpers/T_ClearCache.asp" target="_blank">清空所有缓存数据！</a></dd>
	</dl>
</div>
</body>
</html>
