﻿// 文本框获取焦点
function SetFocus(textBoxId)
{
	var t = document.getElementById(textBoxId);
	if(t != null)
		t.focus();
}

// 禁用按钮
function DisableButton(buttonId)
{
	var b = document.getElementById(buttonId);
	if(b != null)
		b.disabled = true;
}

// 注册验证
function ValidRegForm()
{
	var u = document.getElementById("txtUserName").value;
	var p = document.getElementById("txtPassword").value;
	var rp = document.getElementById("txtRepeatPass").value;
	var e = document.getElementById("txtEMail").value;
	var t = document.getElementById("txtTitle").value;
	// 必填项
	if(u == "" || p == "" || rp == "" || t == "") {
		alert("带 * 的项目必填！");
		return false;
	}
	// 密码确认
	if(p != rp) {
		alert("两次密码输入不一致！");
		return false;
	}
	// 用户名合法性
	if(/[^\u4E00-\u9FA0a-zA-Z0-9._]/.test(u)) {
		alert("用户名请勿含有除汉字、字母、数字、句点和下划线之外的字符！");
		return false;
	}
	// E-mail
	if(e != "") {
		if(!/(\w)+[@]{1}(\w)+[.]{1}(\w)+/.test(e))
		{
			alert("请输入格式正确的 e-mail 地址！");
			return false;
		}
	}
	DisableButton("btnReg");
	return true;
}
