<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="Components/ConfigInfo.asp" -->
<!-- #Include File="Components/CommonFunctions.asp" -->
<!-- #Include File="Helpers/SystemEnabled.asp" -->
<!-- #Include File="Components/CDataOperator.asp" -->
<!-- #Include File="Components/CEnDec.asp" -->
<!-- #Include File="Components/CBloggersDB.asp" -->
<!-- #Include File="Components/CTagsDB.asp" -->
<!-- #Include File="Components/CPageBuilder.asp" -->
<%
'首页显示帖子数目
Const TOP_BLOG_NUM = 15

'HTTP GET 参数检查
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then bloggerId = "1" '呵呵，ID 值缺省的话就显示我的 Blog～
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)
%>
<!-- #Include File="Components/CommonCodes.asp" -->
<%
'网志分类
Dim arrBlogCustomCates
arrBlogCustomCates = CF_ReadFromCache("BlogCustomCategoryList_" & CStr(bloggerId))
If Not IsArray(arrBlogCustomCates) Then
	arrBlogCustomCates = oBloggers.GetBlogCustomCategoryList(bloggerId)
	CF_InsertIntoCache "BlogCustomCategoryList_" & CStr(bloggerId), arrBlogCustomCates
End If

'友情链结
Dim arrLinks
arrLinks = CF_ReadFromCache("BlogLinks_" & CStr(bloggerId))
If Not IsArray(arrLinks) Then
	arrLinks = oBloggers.GetLinks(bloggerId)
	CF_InsertIntoCache "BlogLinks_" & CStr(bloggerId), arrLinks
End If

'网志档案
Dim arrArchives
arrArchives = CF_ReadFromCache("BlogArchives_" & CStr(bloggerId))
If Not IsArray(arrArchives) Then
	arrArchives = oBloggers.GetBlogArchivesList(bloggerId)
	CF_InsertIntoCache "BlogArchives_" & CStr(bloggerId), arrArchives
End If

'最近回复
Dim arrRecentCommentList
arrRecentCommentList = CF_ReadFromCache("BlogRecentCommentList_" & CStr(bloggerId))
If Not IsArray(arrRecentCommentList) Then
	arrRecentCommentList = oBloggers.GetRecentComments(bloggerId, 10)
	CF_InsertIntoCache "BlogRecentCommentList_" & CStr(bloggerId), arrRecentCommentList
End If

'获取近期的 blog 帖子
Dim arrTopEntries
arrTopEntries = CF_ReadFromCache("BlogTopEntries_" & CStr(bloggerId))
If Not IsArray(arrTopEntries) Then
	arrTopEntries = oBloggers.GetTopEntries(bloggerId, TOP_BLOG_NUM)
	CF_InsertIntoCache "BlogTopEntries_" & CStr(bloggerId), arrTopEntries
End If

'RSS 地址
Dim blogFeedUrl
blogFeedUrl = CF_GetCurrentFullURL() + "/RSS.asp?ID=" & CStr(bloggerId)

'Tag 相关
Dim tagCloudString
tagCloudString = CF_ReadFromCache("BlogTagCloud_" & CStr(bloggerId))
If "" = CStr(tagCloudString) Then
	Dim oTagsDb
	Set oTagsDb = New TagsDB
	oTagsDb.DataConnectionString = mainDataConnectionString
	oTagsDb.CurrentBloggerID = bloggerId
	'取得当前 Blog 的 tag 云图
	tagCloudString = oTagsDb.BuildTagCloud(oTagsDb.GetTagList(False), "TagList.asp?ID=" & CStr(bloggerId) & "&amp;Tag=")

	Set oTagsDb = Nothing
	CF_InsertIntoCache "BlogTagCloud_" & CStr(bloggerId), tagCloudString
End If

'处理对应 Repeater 的数组值（HTMLEncode/UBBCode...）
Dim cr

If Not IsNull(arrBlogCustomCates) Then
	Dim arrBlogCustomCatesCount
	arrBlogCustomCatesCount = UBound(arrBlogCustomCates, 2)
	For cr = 0 To arrBlogCustomCatesCount
		arrBlogCustomCates(1, cr) = CF_HTMLEncode(arrBlogCustomCates(1, cr))
		arrBlogCustomCates(3, cr) = CF_HTMLEncode(arrBlogCustomCates(3, cr))
	Next
End If

If Not IsNull(arrLinks) Then
	Dim arrLinksCount
	arrLinksCount = UBound(arrLinks, 2)
	For cr = 0 To arrLinksCount
		arrLinks(1, cr) = CF_HTMLEncode(arrLinks(1, cr))
		arrLinks(2, cr) = CF_HTMLEncode(arrLinks(2, cr))
		arrLinks(4, cr) = CF_HTMLEncode(arrLinks(4, cr))
	Next
End If

If Not IsNull(arrRecentCommentList) Then
	Dim arrRecentCommentListCount
	arrRecentCommentListCount = UBound(arrRecentCommentList, 2)
	For cr = 0 To arrRecentCommentListCount
		If (CBool(arrRecentCommentList(4, cr)) = False) And (Not bIsOwner) And (Not bCanViewSecret) Then
			arrRecentCommentList(0, cr) = "<span style='color:#999;'>保密...</span>"
		Else
			arrRecentCommentList(0, cr) = "<a href='Read.asp?ID=" & CStr(bloggerId) & "&amp;BID=" & arrRecentCommentList(1, cr) & "#C" & arrRecentCommentList(0, cr) & "' title='评论人：" & CF_HTMLEncode(arrRecentCommentList(3, cr)) & "'>" & CF_HTMLEncode(CF_ShowShortString(arrRecentCommentList(2, cr), 32)) & "</a>"
		End If
	Next
End If

If Not IsNull(arrTopEntries) Then
	Dim arrTopEntriesCount
	arrTopEntriesCount = UBound(arrTopEntries, 2)
	For cr = 0 To arrTopEntriesCount
		arrTopEntries(2, cr) = FormatDateTime(arrTopEntries(2, cr), vbShortDate)
		If (0 = arrTopEntries(8, cr)) And (Not bIsOwner) And (Not bCanViewSecret) Then
			arrTopEntries(4, cr) = "" '标题
			arrTopEntries(6, cr) = "<span style='color:#999;'>本条网志内容保密。可点击“查看保密网志”菜单项，使用 Blog 主人设定的好友密码登录后再查看...</span>" '内容
			arrTopEntries(7, cr) = "N/A" '评论数
			arrTopEntries(9, cr) = "" '分类名
			arrTopEntries(11, cr) = "" 'Tags
		Else
			arrTopEntries(4, cr) = CF_HTMLEncode(arrTopEntries(4, cr))
			arrTopEntries(6, cr) = CF_MoreMode(arrTopEntries(6, cr), bloggerId, arrTopEntries(0, cr))
			arrTopEntries(6, cr) = CF_UBBCode(arrTopEntries(6, cr), False)
			arrTopEntries(9, cr) = CF_HTMLEncode(arrTopEntries(9, cr))
			arrTopEntries(11, cr) = CF_BuildTagFaceLinks(arrTopEntries(11, cr), bloggerId)
		End If
		If bIsOwner Then arrTopEntries(10, cr) = " <a href='UserMgmt/EditPost.asp?ID=" & CStr(bloggerId) & "&amp;BID=" & CStr(arrTopEntries(0, cr)) & "&amp;RU=" & Server.URLEncode(CF_GetCurrentURL()) & "' style='color:#f00;font-size:11px;'>Edit</a>" Else arrTopEntries(10, cr) = ""
	Next
End If

'建立 PageBuilder 对象
Dim oBuilder
Set oBuilder = New PageBuilder
oBuilder.TemplateFile = Server.MapPath("Skins") & "\" & arrThisBlogBasicInfo(7) & "\FrontPage.html"

oBuilder.Slot("n_BlogTitle") = CF_HTMLEncode(arrThisBlogBasicInfo(1))
oBuilder.Slot("n_BlogOwnerName") = CF_HTMLEncode(arrThisBlogBasicInfo(0))
oBuilder.Slot("n_BlogIntro") = CF_HTMLEncode("" & arrThisBlogBasicInfo(2))
oBuilder.Slot("n_BloggerID") = CStr(bloggerId)
oBuilder.Slot("n_BlogAnnouncement") = CF_UBBCode("" & arrThisBlogBasicInfo(6), False)
oBuilder.Slot("n_BlogEntryNum") = arrThisBlogBasicInfo(3)
oBuilder.Slot("n_BlogCommentNum") = arrThisBlogBasicInfo(4)
oBuilder.Slot("n_BlogSkin") = "Skins/" & arrThisBlogBasicInfo(7) & "/"
oBuilder.Slot("n_BlogRSSFeedURL") = blogFeedUrl
oBuilder.Slot("n_TagShow") = tagCloudString
oBuilder.Slot("n_Version") = CF_GetConfigInfo("Version")

oBuilder.UpdateSlots

oBuilder.RepeaterDataSource("rptBlogCustomCates") = arrBlogCustomCates
oBuilder.RepeaterDataSource("rptBlogLinks") = arrLinks
oBuilder.RepeaterDataSource("rptBlogArchives") = arrArchives
oBuilder.RepeaterDataSource("rptBlogRecentComments") = arrRecentCommentList
oBuilder.RepeaterDataSource("rptBlogTopEntries") = arrTopEntries

Dim responseText
responseText = oBuilder.FinalOutput()

'释放资源
Set oBloggers = Nothing
Set oBuilder = Nothing
If Not IsNull(arrThisBlogBasicInfo) Then Erase arrThisBlogBasicInfo
If Not IsNull(arrBlogCustomCates) Then Erase arrBlogCustomCates
If Not IsNull(arrLinks) Then Erase arrLinks
If Not IsNull(arrArchives) Then Erase arrArchives
If Not IsNull(arrRecentCommentList) Then Erase arrRecentCommentList
If Not IsNull(arrTopEntries) Then Erase arrTopEntries

'输出页面
Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
Response.Write responseText
%>
