<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="Components/ConfigInfo.asp" -->
<!-- #Include File="Components/CommonFunctions.asp" -->
<!-- #Include File="Helpers/SystemEnabled.asp" -->
<!-- #Include File="Components/CDataOperator.asp" -->
<!-- #Include File="Components/CEnDec.asp" -->
<!-- #Include File="Components/CBloggersDB.asp" -->
<!-- #Include File="Components/CPageBuilder.asp" -->
<%
'HTTP GET 参数检查
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then bloggerId = "1" '呵呵，ID 值缺省的话就显示我的 Blog～
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)

Dim cateId
cateId = Request.QueryString("CateID")
If "" = cateId Then StopError "参数缺少：CateID"
If Not IsNumeric(cateId) Then CF_StopError "参数错误：CateID"
cateId = CLng(cateId)
%>
<!-- #Include File="Components/CommonCodes.asp" -->
<%
'网志分类
Dim arrBlogCustomCates
arrBlogCustomCates = CF_ReadFromCache("BlogCustomCategoryList_" & CStr(bloggerId))
If Not IsArray(arrBlogCustomCates) Then
	arrBlogCustomCates = oBloggers.GetBlogCustomCategoryList(bloggerId)
	CF_InsertIntoCache "BlogCustomCategoryList_" & CStr(bloggerId), arrBlogCustomCates
End If

'网志档案
Dim arrArchives
arrArchives = CF_ReadFromCache("BlogArchives_" & CStr(bloggerId))
If Not IsArray(arrArchives) Then
	arrArchives = oBloggers.GetBlogArchivesList(bloggerId)
	CF_InsertIntoCache "BlogArchives_" & CStr(bloggerId), arrArchives
End If

'当前分类的名称（以及分类是否属于该 Blog）
Dim thisCateName, thisCateDesc
If 1 = cateId Then
	thisCateName = "未分类"
	thisCateDesc = ""
Else
	Dim thisCateInfo
	thisCateInfo = oBloggers.GetBlogCategoryNameDescByID(cateId, bloggerId)
	If IsNull(thisCateInfo) Then
		Set oBloggers = Nothing
		CF_StopError "所指定的分类不属于所指定的 Blog！"
	End If
	thisCateName = thisCateInfo(0, 0)
	thisCateDesc = thisCateInfo(1, 0)
End If

'当前所选分类的帖子列表
Dim arrCurrentCateBlogList
arrCurrentCateBlogList = oBloggers.GetBlogListByCategory(bloggerId, cateId)

'处理对应 Repeater 的数组值（HTMLEncode/UBBCode...）
Dim cr

If Not IsNull(arrBlogCustomCates) Then
	Dim arrBlogCustomCatesCount
	arrBlogCustomCatesCount = UBound(arrBlogCustomCates, 2)
	For cr = 0 To arrBlogCustomCatesCount
		arrBlogCustomCates(1, cr) = CF_HTMLEncode(arrBlogCustomCates(1, cr))
	Next
End If

If Not IsNull(arrCurrentCateBlogList) Then
	Dim arrCurrentCateBlogListCount
	arrCurrentCateBlogListCount = UBound(arrCurrentCateBlogList, 2)
	For cr = 0 To arrCurrentCateBlogListCount
		If (0 = arrCurrentCateBlogList(5, cr)) And (Not bIsOwner) And (Not bCanViewSecret) Then
			arrCurrentCateBlogList(2, cr) = "<span style='color:#999;'>保密网志</span>"
			arrCurrentCateBlogList(4, cr) = ""
			arrCurrentCateBlogList(8, cr) = "" 'Tags
		Else
			arrCurrentCateBlogList(2, cr) = CF_HTMLEncode(arrCurrentCateBlogList(2, cr))
			arrCurrentCateBlogList(4, cr) = CF_HTMLEncode(CF_ShowShortString(arrCurrentCateBlogList(4, cr), 100))
			arrCurrentCateBlogList(8, cr) = CF_BuildTagFaceLinks(arrCurrentCateBlogList(8, cr), bloggerId)
		End If
		If bIsOwner Then arrCurrentCateBlogList(7, cr) = " <a href='UserMgmt/EditPost.asp?ID=" & CStr(bloggerId) & "&amp;BID=" & arrCurrentCateBlogList(0, cr) & "&amp;RU=" & Server.URLEncode(CF_GetCurrentURL()) & "' style='color:#f00;font-size:11px;'>Edit</a>" Else arrCurrentCateBlogList(7, cr) = ""
	Next
End If

'建立 PageBuilder 对象
Dim oBuilder
Set oBuilder = New PageBuilder
oBuilder.TemplateFile = Server.MapPath("Skins") & "\" & arrThisBlogBasicInfo(7) & "\CategoryList.html"

oBuilder.Slot("n_BlogTitle") = CF_HTMLEncode(arrThisBlogBasicInfo(1))
oBuilder.Slot("n_BlogOwnerName") = CF_HTMLEncode(arrThisBlogBasicInfo(0))
oBuilder.Slot("n_BlogIntro") = CF_HTMLEncode("" & arrThisBlogBasicInfo(2))
oBuilder.Slot("n_BloggerID") = CStr(bloggerId)
oBuilder.Slot("n_BlogAnnouncement") = CF_UBBCode("" & arrThisBlogBasicInfo(6), False)
oBuilder.Slot("n_BlogEntryNum") = arrThisBlogBasicInfo(3)
oBuilder.Slot("n_BlogCommentNum") = arrThisBlogBasicInfo(4)
oBuilder.Slot("n_BlogSkin") = "Skins/" & arrThisBlogBasicInfo(7) & "/"
oBuilder.Slot("n_BlogCategoryName") = CF_HTMLEncode(thisCateName)
oBuilder.Slot("n_BlogCategoryDescription") = CF_HTMLEncode(thisCateDesc)
oBuilder.Slot("n_Version") = CF_GetConfigInfo("Version")

oBuilder.UpdateSlots

oBuilder.RepeaterDataSource("rptBlogCustomCates") = arrBlogCustomCates
oBuilder.RepeaterDataSource("rptBlogArchives") = arrArchives
oBuilder.RepeaterDataSource("rptBlogsByCategory") = arrCurrentCateBlogList

Dim responseText
responseText = oBuilder.FinalOutput()

'释放资源
Set oBloggers = Nothing
Set oBuilder = Nothing
If Not IsNull(arrThisBlogBasicInfo) Then Erase arrThisBlogBasicInfo
If Not IsNull(arrBlogCustomCates) Then Erase arrBlogCustomCates
If Not IsNull(arrArchives) Then Erase arrArchives
If Not IsNull(arrCurrentCateBlogList) Then Erase arrCurrentCateBlogList

'输出页面
Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
Response.Write responseText
%>
