﻿<%
'(P) 2003-05, C.K

'------------------------------------------------------------------------------
'Blog 回复相关类
'需要事先包含 CommonFunctions.asp 和 DataOperator 及 EnDec 类的定义
'------------------------------------------------------------------------------

'回复操作；内容简单，不要实体类了
Class CommentsDB
	Private m_connString
	Private m_dataOperator
	Private m_currentBloggerId
	Private m_currentBlogId

	Private Sub Class_Initialize()
		m_currentBloggerId = 0
		m_currentBlogId = 0
		Set m_dataOperator = New DataOperator
	End Sub

	Private Sub Class_Terminate()
		Set m_dataOperator = Nothing
	End Sub

	Public Property Let DataConnectionString(connStr)
		m_connString = connStr
		m_dataOperator.OpenDatabase connStr
	End Property

	Public Property Let CurrentBloggerID(bloggerId)
		m_currentBloggerId = bloggerId
	End Property

	Public Property Let CurrentBlogID(blogId)
		m_currentBlogId = blogId
	End Property

	Public Sub AddComment(authorName, email, content, fromIP, link, commentState) '问题 @ 050413：当 Blog 设置为保密时，需要加参数决定本回复是否需要被认证！
		m_dataOperator.ExecuteNonQuery "INSERT INTO T_Comments ([CommentTo], [AuthorName], [EMail], [Content], [FromIP], [Link], [State]) VALUES (@commentTo, @authorName, @email, @content, @fromIP, @link, @state)", Array(m_currentBlogId, authorName, email, content, fromIP, link, commentState)
		If 1 = commentState Then
			m_dataOperator.ExecuteNonQuery "UPDATE T_Blogs SET [CommentNum] = [CommentNum] + 1 WHERE [BID] = @blogId", Array(m_currentBlogId)
		End If
		'清除有关缓存
	End Sub

	Public Sub DeleteComment(commentId)
		Dim chk
		chk = m_dataOperator.ExecuteArray("SELECT [CID] FROM T_Comments WHERE [CommentTo] = @commentTo AND [CID] = @commentId", Array(m_currentBlogId, commentId))
		If Not IsNull(chk) Then
			m_dataOperator.ExecuteNonQuery "DELETE FROM T_Comments WHERE [CommentTo] = @commentTo AND [CID] = @commentId", Array(m_currentBlogId, commentId)
			m_dataOperator.ExecuteNonQuery "UPDATE T_Blogs SET [CommentNum] = [CommentNum] - 1 WHERE [BID] = @blogId", Array(m_currentBlogId)
			'清除有关缓存
		Else
			Err.Raise vbObjectError + 1000, "nirvana: CommentsDB", "Specified comment does not belong to the blog entry!"
		End If
	End Sub

'	Public Function IsSpam(cmtName, cmtEMail, cmtContent, cmtIP, cmtLink)
'		Dim retval
'		retval = False
'		Dim chkName, chkEMail, chkContent, chkIP, chkLink
'		chkName = False : chkEMail = False : chkContent = False : chkIP = False : chkLink = False
'
'		Dim oRegEx
'		Set oRegEx = New RegExp
'		oRegEx.IgnoreCase = True
'		oRegEx.Global = True
'
'		'检查名字：先简化处理，全英文即是
'		If cmtName <> "<匿名人士>" Then
'			oRegEx.Pattern = "[^a-zA-Z0-9._]"
'			If oRegEx.Test(cmtName) = False Then
'				chkName = True
'			End If
'		End If
'
'		'检查邮件和链接：不为空即是
''		If cmtLink <> "" Then
'			chkLink = True
''		End If
'
'		'目前只能根据内容判断（过多的 URL）
'		oRegEx.Pattern = "http://\S+[.]{1}\S+"
'		Dim oMatches
'		Set oMatches = oRegEx.Execute(cmtContent)
'		If (oMatches.Count >= 3) And (InStrRev(cmtContent, "[/img]") = 0) Then
'			chkContent = True
'		End If
'		Set oMatches = Nothing
'		Set oRegEx = Nothing
'
'		If chkName And chkLink And chkContent Then
'			retval = True
'		End If
'		IsSpam = retval
'	End Function

	Function IsSpam(userIp, userAgent, referrer, permalink, commentAuthor, commentAuthorEmail, commentAuthorUrl, commentContent)
		Dim retval
		retval = False

		On Error Resume Next

		Dim apiKey, blogUrl
		apiKey = "9f87bfa4c12a"
		blogUrl = "http://angevil.wordpress.com/"

		Dim targetUrl
		targetUrl = "http://" & apiKey & ".rest.akismet.com/1.1/comment-check"

		Dim sendString
		sendString = "blog=" & Server.URLEncode(blogUrl)
		sendString = sendString & "&user_ip=" & Server.URLEncode(userIp)
		sendString = sendString & "&user_agent=" & Server.URLEncode(userAgent)
		sendString = sendString & "&referrer=" & Server.URLEncode(referrer)
		sendString = sendString & "&permalink=" & Server.URLEncode(permalink)
		sendString = sendString & "&comment_type=comment"
		sendString = sendString & "&comment_author=" & Server.URLEncode(commentAuthor)
		sendString = sendString & "&comment_author_email=" & Server.URLEncode(commentAuthorEmail)
		sendString = sendString & "&comment_author_url=" & Server.URLEncode(commentAuthorUrl)
		sendString = sendString & "&comment_content=" & Server.URLEncode(commentContent)

		Dim oPing
		Set oPing = Server.CreateObject("MSXML2.ServerXMLHTTP")
		oPing.open "POST", targetUrl, False
		oPing.setRequestHeader "Content-Type", "application/x-www-form-urlencoded; charset=utf-8"
		oPing.send sendString

'		CF_StopError oPing.responseText

		If oPing.responseText = "true" Then
			retval = True
		Else
			retval = False
		End If

		Set oPing = Nothing

		If Err.Number <> 0 Then retval = False
		Err.Clear

		IsSpam = retval
	End Function
End Class
%>
