<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="Components/ConfigInfo.asp" -->
<!-- #Include File="Components/CommonFunctions.asp" -->
<!-- #Include File="Helpers/SystemEnabled.asp" -->
<!-- #Include File="Components/CDataOperator.asp" -->
<!-- #Include File="Components/CBloggersDB.asp" -->
<!-- #Include File="Components/CTagsDB.asp" -->
<%
Dim allBloggerList, latestEntries

'数据源连接
Dim dbConnString
dbConnString = CF_GetConfigInfo("DCSDataSourceString") & Server.MapPath("Database") & "\" & CF_GetConfigInfo("DCSDatabaseFileName")

Dim oBloggers
Set oBloggers = New BloggersDB
oBloggers.DataConnectionString = dbConnString

'Blogger 列表
allBloggerList = CF_ReadFromCache("AllBloggerList")
If Not IsArray(allBloggerList) Then
	allBloggerList = oBloggers.ListBloggers()
	CF_InsertIntoCache "AllBloggerList", allBloggerList
End If

'Tag 相关
Dim oTagsDb
Set oTagsDb = New TagsDB
oTagsDb.DataConnectionString = dbConnString

Dim tagCloudString
tagCloudString = CF_ReadFromCache("AllTagCloud")
If "" = CStr(tagCloudString) Then
	tagCloudString = oTagsDb.BuildTagCloud(oTagsDb.GetTagList(True), "Portal.asp?Tag=")
	CF_InsertIntoCache "AllTagCloud", tagCloudString
End If

'最新网志
Dim tagQuery
tagQuery = Request.QueryString("Tag")
If "" <> tagQuery Then '如果指定了 tag
	tagQuery = CF_URLDecode(tagQuery)
	latestEntries = oTagsDb.GetLatestEntriesByTag4Portal(tagQuery, 25) '只取前 x 篇
Else
	latestEntries = CF_ReadFromCache("LatestEntries")
	If Not IsArray(latestEntries) Then
		latestEntries = oBloggers.GetLatestEntries(7)
		CF_InsertIntoCache "LatestEntries", latestEntries
	End If
End If

Set oTagsDb = Nothing
Set oBloggers = Nothing

'公告信息
Dim fso, fr, annContent
Set fso = Server.CreateObject("Scripting.FileSystemObject")
Set fr = fso.OpenTextFile(Server.MapPath("ADMIN/Announcement.txt"), 1, False)
annContent = fr.ReadAll()
fr.Close
Set fr = Nothing
Set fso = Nothing

Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><% = CI_SITE_TITLE %> - Portal</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="Portal.css" />
<link rel="shortcut icon" href="Images/favicon.ico" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="LatestRSS.asp" />
<script type="text/javascript" src="Portal.js"></script>
</head>
<body onload="ResizeImages();">
<div id="topBar"><a href="default.asp">Classic Home</a></div>
<div id="wrapper">
<div id="title"><img alt="我和我的朋友们～" src="Images/Logo.gif" width="400" height="80" border="0" /></div>
<div id="content">
<%
If Not IsNull(latestEntries) Then
	Dim r
	Dim latestEntriesCount
	latestEntriesCount = UBound(latestEntries, 2)
	For r = 0 To latestEntriesCount
%>
		<div class="entry">
			<dl>
				<dt><img alt="" src="Images/E<% = latestEntries(5, r) %>.gif" class="exprImg" /> <a href="Read.asp?ID=<% = latestEntries(1, r) %>&amp;BID=<% = latestEntries(0, r) %>"><% = Server.HTMLEncode(latestEntries(3, r)) %></a></dt>
				<dd class="content"><% = CF_UBBCode(CF_MoreMode(latestEntries(6, r), latestEntries(1, r), latestEntries(0, r)), False) %></dd>
				<dd class="tags"><% = CF_BuildTagFaceLinks(latestEntries(7, r), latestEntries(1, r)) %>&nbsp;</dd>
				<dd class="info"><span class="who"><a href="Blog.asp?ID=<% = latestEntries(1, r) %>"><% = Server.HTMLEncode(latestEntries(4, r)) %></a></span> 发表于 <span class="when"><% = latestEntries(2, r) %></span>∣<span class="comment"><a href="Read.asp?ID=<% = latestEntries(1, r) %>&amp;BID=<% = latestEntries(0, r) %>#Feedback">评论（<% = latestEntries(8, r) %>）</a></span></dd>
			</dl>
		</div>
<%
	Next
End If
%>
</div>
<div id="side">
	<dl id="ann">
		<dt>最近公告</dt>
		<dd><% = CF_UBBCode(annContent, True) %></dd>
	</dl>
	<dl id="services">
		<dt>功能</dt>
		<dd id="GoogleSearch">
			<form target="nirvanaGoogleSearchWindow" id="GoogleSearchForm" name="GoogleSearchForm" action="http://www.google.com/custom" method="get">
				Google&trade; 搜索：<input type="text" name="q" class="textBox" size="12" />
				<input type="submit" id="btnSearch" name="btnSearch" class="button" value="搜" />
				<input type="hidden" name="domains" value="sinzy.net" />
				<input type="hidden" name="sitesearch" value="sinzy.net" />
				<input type="hidden" name="hl" value="zh-CN" />
				<input type="hidden" name="client" value="pub-0749178688148345" />
				<input type="hidden" name="forid" value="1" />
				<input type="hidden" name="ie" value="UTF-8" />
				<input type="hidden" name="oe" value="UTF-8" />
				<input type="hidden" name="cof" value="GALT:#008000;GL:1;DIV:#336699;VLC:663399;AH:center;BGC:FFFFFF;LBGC:336699;ALC:0000FF;LC:0000FF;T:000000;GFNT:0000FF;GIMP:0000FF;LH:40;LW:80;L:http://www.sinzy.net/Blog/Images/nirvana.gif;S:http://www.sinzy.net/Blog/;LP:1;FORID:1" />
			</form>
		</dd>
		<dd><a href="Portal.asp">首页</a>∣<a href="UserMgmt/UserLogin.asp" title="登录管理自己的 Blog">登录</a>∣<a href="UserRegister.asp" title="">注册</a>∣<a href="#" title="没写……">帮助</a></dd>
		<dd id="opml"><a href="OPML.asp">OPML</a></dd>
		<dd><a href="LatestRSS.asp">RSS 聚合 <img src="Images/feed-icon-12x12.gif" alt="RSS 2.0" style="width:12px;height:12px;border:0;vertical-align:middle;" /></a></dd>
		<dd><img src="Images/nirvanaBlogButton.gif" alt="&quot;nirvana&quot;" title="Powered by &quot;nirvana&quot; Blog Application" class="nirvanaButton" /></dd>
	</dl>
	<dl id="tagCloud">
		<dt>Tag 云图 - ALL</dt>
		<dd><% = tagCloudString %></dd>
	</dl>
	<dl id="bloggerNameList">
		<dt>Active Bloggers</dt>
		<dd>
			<ul>
<%
If Not IsNull(allBloggerList) Then
	Dim s
	Dim allBloggerListCount1
	allBloggerListCount1 = UBound(allBloggerList, 2)
	For s = 0 To allBloggerListCount1
%>
				<li><a href="Blog.asp?ID=<% = allBloggerList(0, s) %>"><% = Server.HTMLEncode(allBloggerList(1, s)) %></a>&nbsp;&nbsp;<span class="latestUpdateTime"><% If IsNull(allBloggerList(5, s)) Then %>N/A<% Else %><% = FormatDateTime(allBloggerList(5, s), vbShortDate) %><% End If %></span></li>
<%
	Next
	Erase allBloggerList
End If
%>
			</ul>
		</dd>
	</dl>
</div>
<div id="otherInfo">
	Currently Supported Web Browsers: Firefox ALL, IE 6+ &amp; Opera 8+<br />
	<a href="http://www.spreadfirefox.com/?q=affiliates&amp;id=1797&amp;t=86" target="_blank"><img class="sprdff" alt="Get Firefox!" title="Get Firefox!" src="Images/Firefox.Small.gif" /></a>
	<a href="http://validator.w3.org/check?uri=referer"><img src="Images/W3C.Valid.XHTML.gif" alt="Valid XHTML 1.0!" title="Valid XHTML 1.0!" class="validXhtml" /></a>
	<a href="http://jigsaw.w3.org/css-validator/"><img class="validCss" src="Images/W3C.Valid.CSS.gif" alt="Valid CSS!" title="Valid CSS!" /></a>
</div>
<!-- #Include File="Components/Footer.asp" -->
</div>
<script src="http://www.google-analytics.com/urchin.js" type="text/javascript"></script>
<script type="text/javascript">_uacct = "UA-179540-1";urchinTracker();</script>
</body>
</html>
