﻿<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="Components/ConfigInfo.asp" -->
<!-- #Include File="Components/CommonFunctions.asp" -->
<!-- #Include File="Helpers/SystemEnabled.asp" -->
<!-- #Include File="Components/CDataOperator.asp" -->
<!-- #Include File="Components/CEnDec.asp" -->
<!-- #Include File="Components/CBloggersDB.asp" -->
<!-- #Include File="Components/CBlogsDB.asp" -->
<!-- #Include File="Components/CCommentsDB.asp" -->
<!-- #Include File="Components/CPageBuilder.asp" -->
<%
'HTTP GET/POST 参数检查
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then bloggerId = Request.Form("hidBloggerID") '评论提交后
If "" = bloggerId Then CF_StopError "缺少参数：ID"
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)

Dim blogId
blogId = Request.QueryString("BID")
If "" = blogId Then blogId = Request.Form("hidEntryID") '评论提交后
If "" = blogId Then CF_StopError "参数缺少：BID"
If Not IsNumeric(blogId) Then CF_StopError "参数错误：BID"
blogId = CLng(blogId)
%>
<!-- #Include File="Components/CommonCodes.asp" -->
<%
'建立 BlogsDB 对象
Dim oBlogs
Set oBlogs = New BlogsDB
oBlogs.DataConnectionString = mainDataConnectionString
oBlogs.CurrentBloggerID = bloggerId '指定 Blogger

'获得当前指定的 Blog 信息
Dim arrCurrentEntryInfo, oThisEntry
Set oThisEntry = oBlogs.GetBlogEntry(blogId)
ReDim arrCurrentEntryInfo(12)
arrCurrentEntryInfo(0) = oThisEntry.PostTime
arrCurrentEntryInfo(1) = oThisEntry.Title
arrCurrentEntryInfo(2) = oThisEntry.Expression
arrCurrentEntryInfo(3) = oThisEntry.Content
arrCurrentEntryInfo(4) = oThisEntry.PostState
arrCurrentEntryInfo(5) = oThisEntry.CategoryName
arrCurrentEntryInfo(6) = oThisEntry.BelongTo
arrCurrentEntryInfo(7) = oThisEntry.AllowComment
arrCurrentEntryInfo(8) = oThisEntry.ViewCount
arrCurrentEntryInfo(9) = oThisEntry.CommentNum
arrCurrentEntryInfo(10) = oThisEntry.Tags
arrCurrentEntryInfo(11) = oBlogs.GetPrevEntryLink(blogId)
arrCurrentEntryInfo(12) = oBlogs.GetNextEntryLink(blogId)
Set oThisEntry = Nothing

'BloggerID 和 BlogID 的对应性
If arrCurrentEntryInfo(6) <> bloggerId Then
	Set oBlogs = Nothing
	Set oBloggers = Nothing
	CF_StopError "指定的网志不属于指定的 Blog！"
End If

'草稿网志 check
If (2 = arrCurrentEntryInfo(4)) And (Not bIsOwner) Then
	Set oBlogs = Nothing
	Set oBloggers = Nothing
	CF_StopError "发生未知错误！" '-_-
End If

'保密网志 check
If (0 = arrCurrentEntryInfo(4)) And (Not bIsOwner) And (Not bCanViewSecret) Then
	Set oBlogs = Nothing
	Set oBloggers = Nothing
	CF_StopError "你不能查看保密网志，请凭借相应的好友密码登录先！"
End If

'评论提交后
If StrComp(Request.Form("hidIsPostBack"), "yEs") = 0 Then
	Dim commenterName, commenterEMail, commenterLink, commentContent, commenterIP, commentState
	commenterName = Request.Form("txtCmtName")
	commenterEMail = Request.Form("txtCmtEMail")
	commenterLink = Request.Form("txtCmtLink")
	commentContent = Request.Form("txtCmtContent")
'	commenterIP = CF_GetIPAddress()
	commenterIP = Request.ServerVariables("REMOTE_ADDR")
	If (False = arrThisBlogBasicInfo(8)) And (Not bIsMember) Then
		commentState = 0
	Else
		commentState = 1
	End If

	'如果评论功能已经关闭
	If False = arrCurrentEntryInfo(7) Then
		Set oBlogs = Nothing
		Set oBloggers = Nothing
		CF_StopError "本帖已经关闭评论功能！"
	End If

	'服务器端合法性验证……
	If commentContent = "" Then '评论内容为必填
		Set oBlogs = Nothing
		Set oBloggers = Nothing
		CF_StopError "请写上评论内容！"
	End If
	Dim regEx
	Set regEx = New RegExp
	regEx.IgnoreCase = True
	regEx.Global = True
	If commenterName <> "" Then
		regEx.Pattern = "[^\u4E00-\u9FA0a-zA-Z0-9._]"
		If regEx.Test(commenterName) = True Then
			Set regEx = Nothing
			Set oBlogs = Nothing
			Set oBloggers = Nothing
			CF_StopError "评论人姓名不能含有除中文、字母、数字、句点和下划线以外的字符！"
		End If
	End If
'	If commenterEMail <> "" Then
'		regEx.Pattern = "(\w)+[@]{1}(\w)+[.]{1}(\w)+"
'		If regEx.Test(commenterEMail) = False Then
'			Set regEx = Nothing
'			Set oBlogs = Nothing
'			Set oBloggers = Nothing
'			CF_StopError "请输入格式正确的 e-mail 地址！"
'		End If
'	End If
	Set regEx = Nothing

	'写入评论表……
	CF_SetCookie "LastCommenterName", CStr(commenterName) '记录评论人的名字（？）
	CF_SetCookie "LastCommenterEMail", CStr(commenterEMail) '记录评论人的 e-mail
	CF_SetCookie "LastCommenterLink", CStr(commenterLink) '记录评论人的网址
	If "" = commenterName Then commenterName = "<匿名人士>"

	Dim oComments
	Set oComments = New CommentsDB
	oComments.DataConnectionString = mainDataConnectionString
	oComments.CurrentBloggerID = bloggerId
	oComments.CurrentBlogID = blogId

	'检查 spam with Akismet
'	If oComments.IsSpam(commenterName, commenterEMail, commentContent, commenterIP, commenterLink) Then
	If bIsMember Then '登录的社区成员不必再校验
		commentState = 1
	ElseIf oComments.IsSpam(commenterIP, Request.ServerVariables("HTTP_USER_AGENT"), Request.ServerVariables("HTTP_REFERER"), "http://" & Request.ServerVariables("HTTP_HOST") & CF_GetCurrentVirtualDir() & "/Read.asp?ID=" & CStr(bloggerId) & "&BID=" & CStr(blogId), commenterName, commenterEMail, commenterLink, commentContent) Then
		commentState = 0
	End If
	oComments.AddComment commenterName, commenterEMail, commentContent, commenterIP, commenterLink, commentState '增加评论
	Set oComments = Nothing

	'清除有关缓存
	CF_RemoveCache "AllBloggerList"
	CF_RemoveCache "LatestEntries"
	CF_RemoveCache "BlogCommentList_" & CStr(blogId)
	CF_RemoveCache "BlogRecentCommentList_" & CStr(bloggerId)
	CF_RemoveCache "BlogTopEntries_" & CStr(bloggerId)
	CF_RemoveCache "BlogBasicInfo_" & CStr(bloggerId)

	Response.Redirect "Read.asp?ID=" & CStr(bloggerId) & "&BID=" & CStr(blogId)
End If

'网志分类
Dim arrBlogCustomCates
arrBlogCustomCates = CF_ReadFromCache("BlogCustomCategoryList_" & CStr(bloggerId))
If Not IsArray(arrBlogCustomCates) Then
	arrBlogCustomCates = oBloggers.GetBlogCustomCategoryList(bloggerId)
	CF_InsertIntoCache "BlogCustomCategoryList_" & CStr(bloggerId), arrBlogCustomCates
End If

'友情链结
Dim arrLinks
arrLinks = CF_ReadFromCache("BlogLinks_" & CStr(bloggerId))
If Not IsArray(arrLinks) Then
	arrLinks = oBloggers.GetLinks(bloggerId)
	CF_InsertIntoCache "BlogLinks_" & CStr(bloggerId), arrLinks
End If

'网志档案
Dim arrArchives
arrArchives = CF_ReadFromCache("BlogArchives_" & CStr(bloggerId))
If Not IsArray(arrArchives) Then
	arrArchives = oBloggers.GetBlogArchivesList(bloggerId)
	CF_InsertIntoCache "BlogArchives_" & CStr(bloggerId), arrArchives
End If

'获得评论列表
Dim arrCommentList
arrCommentList = CF_ReadFromCache("BlogCommentList_" & CStr(blogId))
If Not IsArray(arrCommentList) Then
	arrCommentList = oBlogs.GetBlogComments(blogId)
	CF_InsertIntoCache "BlogCommentList_" & CStr(blogId), arrCommentList
End If

'处理对应 Repeater 的数组值（HTMLEncode/UBBCode...）
Dim cr

If Not IsNull(arrBlogCustomCates) Then
	Dim arrBlogCustomCatesCount
	arrBlogCustomCatesCount = UBound(arrBlogCustomCates, 2)
	For cr = 0 To arrBlogCustomCatesCount
		arrBlogCustomCates(1, cr) = CF_HTMLEncode(arrBlogCustomCates(1, cr))
	Next
End If

If Not IsNull(arrLinks) Then
	Dim arrLinksCount
	arrLinksCount = UBound(arrLinks, 2)
	For cr = 0 To arrLinksCount
		arrLinks(1, cr) = CF_HTMLEncode(arrLinks(1, cr))
		arrLinks(2, cr) = CF_HTMLEncode(arrLinks(2, cr))
	Next
End If

If Not IsNull(arrCommentList) Then
	Dim commenter
	Dim arrCommentListCount
	arrCommentListCount = UBound(arrCommentList, 2)
	For cr = 0 To arrCommentListCount
		arrCommentList(5, cr) = CF_UBBCode(arrCommentList(5, cr), True)
		commenter = CF_HTMLEncode(arrCommentList(2, cr))
		If arrCommentList(3, cr) <> "" Then commenter = commenter & " <a href='mailto:" & arrCommentList(3, cr) & "'><img src='Images/mail.gif' alt='E-mail' style='vertical-align:middle;width:16px;height:16px;border:0;' /></a>"
		If arrCommentList(7, cr) <> "" Then commenter = commenter & " <a href='" & arrCommentList(7, cr) & "' target='_blank'><img alt='Link' src='Images/home.gif' style='vertical-align:middle;width:16px;height:16px;border:0;' /></a>"
		arrCommentList(2, cr) = commenter
		If bIsOwner Then
			arrCommentList(6, cr) = "<u>" & arrCommentList(6, cr) & "</u> <a href='UserMgmt/DeleteComment.asp?ID=" & CStr(bloggerId) & "&amp;BID=" & CStr(blogId) & "&amp;CID=" & arrCommentList(0, cr) & "' onclick=""javascript:return confirm('确定删除该条评论？');""><span style='color:#f00;'>[X]</span></a>"
		Else
			arrCommentList(6, cr) = ""
		End If
	Next
End If

Dim lastCommenterNameText, lastCommenterEMailText, lastCommenterLinkText
lastCommenterNameText = CF_GetCookie("LastCommenterName")
lastCommenterEMailText = CF_GetCookie("LastCommenterEMail")
lastCommenterLinkText = CF_GetCookie("LastCommenterLink")

Dim allowCommentText, disabled
If False = arrCurrentEntryInfo(7) Then
	allowCommentText = " <span style='color:#f00;'>本篇网志已关闭评论功能！</span>"
	disabled = " disabled='disabled'"
	lastCommenterNameText = ""
	lastCommenterEMailText = ""
	lastCommenterLinkText = ""
Else
	allowCommentText = ""
	disabled = ""
End If

'增加点击量：0.6 版本取消
'oBlogs.AddViewCount blogId

'建立 PageBuilder 对象
Dim oBuilder
Set oBuilder = New PageBuilder
oBuilder.TemplateFile = Server.MapPath("Skins") & "\" & arrThisBlogBasicInfo(7) & "\EntryComments.html"

oBuilder.Slot("n_BlogTitle") = CF_HTMLEncode(arrThisBlogBasicInfo(1))
oBuilder.Slot("n_BlogOwnerName") = CF_HTMLEncode(arrThisBlogBasicInfo(0))
oBuilder.Slot("n_BlogIntro") = CF_HTMLEncode("" & arrThisBlogBasicInfo(2))
oBuilder.Slot("n_BloggerID") = CStr(bloggerId)
oBuilder.Slot("n_BlogAnnouncement") = CF_UBBCode("" & arrThisBlogBasicInfo(6), False)
oBuilder.Slot("n_BlogEntryNum") = arrThisBlogBasicInfo(3)
oBuilder.Slot("n_BlogCommentNum") = arrThisBlogBasicInfo(4)
oBuilder.Slot("n_BlogSkin") = "Skins/" & arrThisBlogBasicInfo(7) & "/"

oBuilder.Slot("n_EntryID") = CStr(blogId)
oBuilder.Slot("n_EntryPostTime") = FormatDateTime(arrCurrentEntryInfo(0), 0)
oBuilder.Slot("n_EntryExpression") = arrCurrentEntryInfo(2)
oBuilder.Slot("n_EntryTitle") = CF_HTMLEncode(arrCurrentEntryInfo(1))
oBuilder.Slot("n_EntryCategoryName") = CF_HTMLEncode(arrCurrentEntryInfo(5))
oBuilder.Slot("n_EntryContent") = CF_UBBCode(arrCurrentEntryInfo(3), False)
oBuilder.Slot("n_EntryTags") = CF_BuildTagFaceLinks(arrCurrentEntryInfo(10), bloggerId) 'Tags
oBuilder.Slot("n_LastCommenterName") = CF_HTMLEncode(lastCommenterNameText)
oBuilder.Slot("n_LastCommenterEMail") = CF_HTMLEncode(lastCommenterEMailText)
oBuilder.Slot("n_LastCommenterLink") = CF_HTMLEncode(lastCommenterLinkText)
oBuilder.Slot("n_PrevEntryLink") = arrCurrentEntryInfo(11)
oBuilder.Slot("n_NextEntryLink") = arrCurrentEntryInfo(12)

If bIsOwner Then oBuilder.Slot("n_EditLink") = " <a href='UserMgmt/EditPost.asp?ID=" & CStr(bloggerId) & "&amp;BID=" & CStr(blogId) & "&amp;RU=" & Server.URLEncode(CF_GetCurrentURL()) & "' style='color:#f00;font-size:11px;'>Edit</a>" Else oBuilder.Slot("n_EditLink") = ""

oBuilder.Slot("n_AllowCommentInfo") = allowCommentText
oBuilder.Slot("n_AllowCommentStatus") = disabled

oBuilder.Slot("n_Version") = CF_GetConfigInfo("Version")

oBuilder.UpdateSlots

oBuilder.RepeaterDataSource("rptBlogCustomCates") = arrBlogCustomCates
oBuilder.RepeaterDataSource("rptBlogLinks") = arrLinks
oBuilder.RepeaterDataSource("rptBlogArchives") = arrArchives
oBuilder.RepeaterDataSource("rptEntryComments") = arrCommentList

Dim responseText
responseText = oBuilder.FinalOutput()

'释放资源
Set oBloggers = Nothing
Set oBlogs = Nothing
Set oBuilder = Nothing
If Not IsNull(arrThisBlogBasicInfo) Then Erase arrThisBlogBasicInfo
If Not IsNull(arrBlogCustomCates) Then Erase arrBlogCustomCates
If Not IsNull(arrLinks) Then Erase arrLinks
If Not IsNull(arrArchives) Then Erase arrArchives
If Not IsNull(arrCurrentEntryInfo) Then Erase arrCurrentEntryInfo
If Not IsNull(arrCommentList) Then Erase arrCommentList

'输出页面
Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
Response.Write responseText
%>
