﻿<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="Components/ConfigInfo.asp" -->
<!-- #Include File="Components/CommonFunctions.asp" -->
<!-- #Include File="Helpers/SystemEnabled.asp" -->
<!-- #Include File="Components/CDataOperator.asp" -->
<!-- #Include File="Components/CEnDec.asp" -->
<!-- #Include File="Components/CBloggersDB.asp" -->
<!-- #Include File="Components/CCommentsDB.asp" -->
<!-- #Include File="Components/CPrivateMessagesDB.asp" -->
<!-- #Include File="Components/CPageBuilder.asp" -->
<%
'HTTP GET/POST 参数检查
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then bloggerId = Request.Form("hidBloggerID") '提交后
If "" = bloggerId Then CF_StopError "缺少参数：ID"
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)
%>
<!-- #Include File="Components/CommonCodes.asp" -->
<%
Dim showPrompt
showPrompt = False

'悄悄话留言提交后
If StrComp(Request.Form("hidIsPostBack"), "yEs") = 0 Then
	Dim pmFromName, pmTitle, pmContent, pmSenderEMail, pmFromIP
	pmFromName = Request.Form("txtPMSenderName")
	pmTitle = Request.Form("txtPMTitle")
	pmContent = Request.Form("txtPMContent")
	pmSenderEMail = Request.Form("txtPMSenderEMail")
'	pmFromIP = CF_GetIPAddress()
	pmFromIP = Request.ServerVariables("REMOTE_ADDR")

	'服务器端验证
	If "" = pmTitle Then
		Set oBloggers = Nothing
		CF_StopError "请写上悄悄话的标题！"
	End If
	Dim regEx
	Set regEx = New RegExp
	regEx.IgnoreCase = True
	regEx.Global = True
	If pmFromName <> "" Then
		regEx.Pattern = "[^\u4E00-\u9FA0a-zA-Z0-9._]"
		If regEx.Test(pmFromName) = True Then
			Set regEx = Nothing
			Set oBloggers = Nothing
			CF_StopError "姓名不能含有除中文、字母、数字、句点和下划线以外的字符！"
		End If
	End If
'	If pmSenderEMail <> "" Then
'		regEx.Pattern = "(\w)+[@]{1}(\w)+[.]{1}(\w)+"
'		If regEx.Test(pmSenderEMail) = False Then
'			Set regEx = Nothing
'			Set oBloggers = Nothing
'			CF_StopError "请输入格式正确的 e-mail 地址！"
'		End If
'	End If
	Set regEx = Nothing

	'写入
	CF_SetCookie "LastPMSenderName", CStr(pmFromName)
	CF_SetCookie "LastPMSenderEMail", CStr(pmSenderEMail)
	If "" = pmFromName Then pmFromName = "<匿名人士>"

	Dim oPMs
	Set oPMs = New PrivateMessagesDB
	oPMs.DataConnectionString = mainDataConnectionString
	oPMs.CurrentBloggerID = bloggerId

	'Check for spams...
	Dim oSpamChecker, isSpamPM
	isSpamPM = False
	Set oSpamChecker = New CommentsDB
'	isSpamPM = oSpamChecker.IsSpam(pmFromName, pmSenderEMail, pmContent, pmFromIP, pmSenderEMail)
	isSpamPM = oSpamChecker.IsSpam(pmFromIP, Request.ServerVariables("HTTP_USER_AGENT"), Request.ServerVariables("HTTP_REFERER"), "http://" & Request.ServerVariables("HTTP_HOST") & CF_GetCurrentVirtualDir() & "/Blog.asp?ID=" & CStr(bloggerId), pmFromName, pmSenderEMail, "", pmContent)
	Set oSpamChecker = Nothing

	If Not isSpamPM Then
		Dim oneMsg
		Set oneMsg = New PrivateMessage
		oneMsg.FromName = pmFromName : oneMsg.Title = pmTitle : oneMsg.Content = pmContent
		oneMsg.SenderEMail = pmSenderEMail : oneMsg.FromIP = pmFromIP

		oPMs.SendPrivateMessage oneMsg
		CF_RemoveCache "BlogPMNum_" & CStr(bloggerId)
		CF_RemoveCache "BlogPMList_" & CStr(bloggerId)
		Set oneMsg = Nothing
		showPrompt = True
	End If
	Set oPMs = Nothing

	Set oBloggers = Nothing '或许有问题……
End If

Dim pmSenderNameText, pmSenderEMailText
pmSenderNameText = CF_GetCookie("LastPMSenderName")
pmSenderEMailText = CF_GetCookie("LastPMSenderEMail")

'建立 PageBuilder 对象
Dim oBuilder
Set oBuilder = New PageBuilder
oBuilder.TemplateFile = Server.MapPath("Skins") & "\" & arrThisBlogBasicInfo(7) & "\SendPrivateMessage.html"

oBuilder.Slot("n_BlogTitle") = CF_HTMLEncode(arrThisBlogBasicInfo(1))
oBuilder.Slot("n_BlogOwnerName") = CF_HTMLEncode(arrThisBlogBasicInfo(0))
oBuilder.Slot("n_BlogIntro") = CF_HTMLEncode("" & arrThisBlogBasicInfo(2))
oBuilder.Slot("n_BloggerID") = CStr(bloggerId)
oBuilder.Slot("n_BlogAnnouncement") = CF_UBBCode("" & arrThisBlogBasicInfo(6), False)
oBuilder.Slot("n_BlogEntryNum") = arrThisBlogBasicInfo(3)
oBuilder.Slot("n_BlogCommentNum") = arrThisBlogBasicInfo(4)
oBuilder.Slot("n_BlogSkin") = "Skins/" & arrThisBlogBasicInfo(7) & "/"
oBuilder.Slot("n_PMSenderName") = CF_HTMLEncode(pmSenderNameText)
oBuilder.Slot("n_PMSenderEMail") = CF_HTMLEncode(pmSenderEMailText)
oBuilder.Slot("n_Version") = CF_GetConfigInfo("Version")

oBuilder.UpdateSlots

Dim responseText
responseText = oBuilder.FinalOutput()

'释放资源
Set oBloggers = Nothing
Set oBuilder = Nothing
If Not IsNull(arrThisBlogBasicInfo) Then Erase arrThisBlogBasicInfo

'输出页面
Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
If showPrompt Then
	Response.Write "<script type='text/javascript'>alert('悄悄话已送出！');"
	Response.Write "location.href = 'Blog.asp?ID=" & CStr(bloggerId) & "';</script" & ">"
	Response.Flush
End If
Response.Write responseText
%>
