<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="../Components/ConfigInfo.asp" -->
<!-- #Include File="../Components/CommonFunctions.asp" -->
<!-- #Include File="../Helpers/SystemEnabled.asp" -->
<!-- #Include File="../Components/CDataOperator.asp" -->
<!-- #Include File="../Components/CEnDec.asp" -->
<!-- #Include File="../Components/CBloggersDB.asp" -->
<!-- #Include File="../Components/CPrivateMessagesDB.asp" -->
<%
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then bloggerId = Request.Form("hidBloggerID")
If "" = bloggerId Then CF_StopError "参数缺少：ID"
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)
%>
<!-- #Include File="../Components/CommonCodes4Mgmt.asp" -->
<%
'处理按钮事件
If StrComp(Request.Form("hidIsPostBack"), "yEs") = 0 Then
	Dim commentIds
	commentIds = Request.Form("chkUnComments") '选中的评论条目 ID 列表

	If Len("" & Request.Form("btnAuthorize")) > 0 Then '通过认证
		If Len("" & commentIds) >= 1 Then
			oBloggers.AuthorizeComments commentIds
			'干脆清空所有缓存 -_-
			Application.Lock
			Application.Contents.RemoveAll
			Application.Unlock
		End If
	End If

	If Len("" & Request.Form("btnDelete")) > 0 Then '直接删除
		If Len("" & commentIds) >= 1 Then
			oBloggers.BatchDeleteComments commentIds
			'不需要清除缓存了，因为并未改变外界可见的评论数目！
		End If
	End If
End If

'取得近期评论
Dim arrRecentCommentList
arrRecentCommentList = oBloggers.GetRecentComments4Mgmt(bloggerId, 10)

'取得当前 Blog 的未认证评论信息
Dim arrUnComments
arrUnComments = oBloggers.GetUnauthorizedComments(bloggerId)

Set oBloggers = Nothing

Function ShowCommenterContactInfo(email, hlink)
	Dim retval
	retval = ""
	If email <> "" Then retval = retval & "&nbsp;<a href='mailto:" & email & "'><img src='../Images/mail.gif' alt='E-mail' style='vertical-align:middle;width:16px;height:16px;border:0;' /></a>"
	If hlink <> "" Then retval = retval & "&nbsp;<a href='" & hlink & "' target='_blank'><img alt='Link' src='../Images/home.gif' style='vertical-align:middle;width:16px;height:16px;border:0;' /></a>"
	ShowCommenterContactInfo = retval
End Function

Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>nirvana 用户后台管理 - 评论管理</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="UserMgmt.css" />
<script type="text/javascript">
<!--
function selectAllComments() {
	var trg = document.getElementById("chkSelAll");
	var cmts = document.getElementsByName("chkUnComments");
	if(cmts.length > 0) {
		if(trg.checked) {
			for(var i = 0; i < cmts.length; i++)
				cmts[i].checked = true;
		} else {
			for(var j = 0; j < cmts.length; j++)
				cmts[j].checked = false;
		}
	}
}
// -->
</script>
</head>
<body>
<div id="wrapper">
<div id="header">
	<h1><% = Server.HTMLEncode(arrThisBlogBasicInfo(1)) %><span id="owner"> - <% = Server.HTMLEncode(arrThisBlogBasicInfo(0)) %></span></h1>
	<h2><% = Server.HTMLEncode("" & arrThisBlogBasicInfo(2)) %>&nbsp;</h2>
</div>
<div id="tabHeader">
	<ul id="tabs">
		<li><a href="default.asp?ID=<% = CStr(bloggerId) %>">开始</a></li>
		<li><a href="PostsMgmt.asp?ID=<% = CStr(bloggerId) %>">网志发表/管理</a></li>
		<li><a href="CommentsMgmt.asp?ID=<% = CStr(bloggerId) %>" id="currentTab">评论审核</a></li>
		<li><a href="EditCategories.asp?ID=<% = CStr(bloggerId) %>">网志分类</a></li>
		<li><a href="EditLinks.asp?ID=<% = CStr(bloggerId) %>">友情链结</a></li>
		<li><a href="PrivateMsgs.asp?ID=<% = CStr(bloggerId) %>">悄悄话（<% = CStr(pmCount(0)) %>/<span class="new"><% = CStr(pmCount(1)) %></span>）</a></li>
		<li><a href="ModRegInfo.asp?ID=<% = CStr(bloggerId) %>">个性化设置</a></li>
		<li><a href="../Blog.asp?ID=<% = CStr(bloggerId) %>" class="return">返回 Blog 首页</a></li>
		<li><a href="UserLogout.asp?ID=<% = CStr(bloggerId) %>" class="return">Logout</a></li>
	</ul>
</div>
<div id="tabBody">
	<div id="side">
	</div>
	<div id="content">
		<dl>
			<dt>待审核评论列表 <input type="checkbox" id="chkSelAll" name="chkSelAll" value="" onclick="selectAllComments();" /> <label for="chkSelAll">全选</label></dt>
			<dd>
				<form action="CommentsMgmt.asp?ID=<% = CStr(bloggerId) %>" id="CommentsMgmtForm" name="CommentsMgmtForm" method="post">
<%
If Not IsNull(arrUnComments) Then
	Dim r
	For r = 0 To UBound(arrUnComments, 2)
%>
					<dl class="unauthCommentItem">
						<dd><input type="checkbox" name="chkUnComments" value="<% = arrUnComments(0, r) %>" /> <span>评论：</span><a href="../Read.asp?ID=<% = CStr(bloggerId) %>&amp;BID=<% = arrUnComments(1, r) %>" target="_blank"><% = Server.HTMLEncode(arrUnComments(8, r)) %></a></dd>
						<dd class="body"><% = CF_UBBCode("" & arrUnComments(2, r), True) %></dd>
						<dd class="info"><% = Server.HTMLEncode(arrUnComments(3, r)) %><% = ShowCommenterContactInfo(arrUnComments(4, r), arrUnComments(5, r)) %> @ <% = arrUnComments(6, r) %> [<% = arrUnComments(7, r) %>]</dd>
					</dl>
<%
	Next
End If
%>
					<fieldset><legend>批量操作</legend><div class="mOper">将选中的评论条目 <input type="submit" name="btnAuthorize" id="btnAuthorize" class="button" value="通过认证" onclick="return confirm('确定要认证通过所选的条目？');" /> <input type="submit" name="btnDelete" id="btnDelete" class="button" value="删除" onclick="return confirm('确定要删除所选的条目？')" /></div></fieldset>
					<input type="hidden" name="hidIsPostBack" id="hidIsPostBack" value="yEs" />
					<input type="hidden" name="hidBloggerID" id="hidBloggerID" value="<% = bloggerId %>" />
				</form>
			</dd>
			<br />
			<dt>最近公开评论列表</dt>
			<dd>
<%
If Not IsNull(arrRecentCommentList) Then
	Dim s
	For s = 0 To UBound(arrRecentCommentList, 2)
%>
				<dl class="unauthCommentItem">
					<dd><span>评论：</span><a href="../Read.asp?ID=<% = CStr(bloggerId) %>&amp;BID=<% = arrRecentCommentList(1, s) %>" target="_blank"><% = Server.HTMLEncode(arrRecentCommentList(8, s)) %></a></dd>
					<dd class="body"><% = CF_HTMLEncode(CF_ShowShortString("" & arrRecentCommentList(2, s), 64)) %></dd>
					<dd class="info"><% = Server.HTMLEncode(arrRecentCommentList(3, s)) %><% = ShowCommenterContactInfo(arrRecentCommentList(4, s), arrRecentCommentList(5, s)) %> @ <% = arrRecentCommentList(6, s) %> [<% = arrRecentCommentList(7, s) %>][<a href="DeleteComment.asp?ID=<% = CStr(bloggerId) %>&amp;BID=<% = arrRecentCommentList(1, s) %>&amp;CID=<% = arrRecentCommentList(0, s) %>&amp;RU=<% = Server.URLEncode(CF_GetCurrentURL()) %>" onclick="return confirm('确定删除？！');" style="color:#f00;">删除</a>]</dd>
				</dl>
<%
	Next
End If
%>
			</dd>
		</dl>
	</div>
	<div class="z"></div>
</div>
<!-- #Include File="../Components/Footer.asp" -->
</div>
</body>
</html>
