<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="../Components/ConfigInfo.asp" -->
<!-- #Include File="../Components/CommonFunctions.asp" -->
<!-- #Include File="../Helpers/SystemEnabled.asp" -->
<!-- #Include File="../Components/CDataOperator.asp" -->
<!-- #Include File="../Components/CEnDec.asp" -->
<!-- #Include File="../Components/CBloggersDB.asp" -->
<!-- #Include File="../Components/CPrivateMessagesDB.asp" -->
<!-- #Include File="../Components/CLinksDB.asp" -->
<%
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then bloggerId = Request.Form("hidBloggerID")
If "" = bloggerId Then CF_StopError "参数缺少：ID"
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)
%>
<!-- #Include File="../Components/CommonCodes4Mgmt.asp" -->
<%
'链结数据库操作对象
Dim oLinks
Set oLinks = New LinksDB
oLinks.DataConnectionString = mainDataConnectionString
oLinks.CurrentBloggerID = bloggerId

'添加链结
If StrComp(Request.Form("hidIsPostBackAdd"), "yEs") = 0 Then
	Dim addLinkTitle, addLinkAddr, addLinkDesc
	addLinkTitle = Request.Form("txtLinkTitleAdd")
	addLinkAddr = Request.Form("txtLinkAddrAdd")
	addLinkDesc = Request.Form("txtLinkDescAdd")
	'合法性校验
	If "" = addLinkTitle Or "" = addLinkAddr Then
		Set oBloggers = Nothing : Set oLinks = Nothing
		CF_StopError "链结标题和地址都不能为空！"
	End If

	oLinks.AddLink addLinkTitle, addLinkAddr, addLinkDesc
	CF_RemoveCache "BlogLinks_" & CStr(bloggerId)

	Set oBloggers = Nothing : Set oLinks = Nothing
	Response.Redirect "EditLinks.asp?ID=" & CStr(bloggerId)
End If

'修改/删除分类
Dim act, oriLinkId, oriLinkTitle, oriLinkAddr, oriLinkDesc
act = Request.QueryString("A")
oriLinkId = 0
oriLinkTitle = ""
oriLinkAddr = ""
oriLinkDesc = ""

'修改提交后
If StrComp(Request.Form("hidIsPostBackMod"), "yEs") = 0 Then
	'检查参数
	oriLinkId = Request.Form("hidOriLinkID")
	If "" = oriLinkId Then
		Set oBloggers = Nothing : Set oLinks = Nothing
		CF_StopError "参数不足：LinkID"
	End If
	If Not IsNumeric(oriLinkId) Then
		Set oBloggers = Nothing : Set oLinks = Nothing
		CF_StopError "参数错误：LinkID"
	End If
	oriLinkId = CLng(oriLinkId)

	Dim newLinkTitle, newLinkAddr, newLinkDesc
	newLinkTitle = Request.Form("txtLinkTitleMod")
	newLinkAddr = Request.Form("txtLinkAddrMod")
	newLinkDesc = Request.Form("txtLinkDescMod")
	'合法性校验
	If "" = newLinkTitle Or "" = newLinkAddr Then
		Set oBloggers = Nothing : Set oLinks = Nothing
		CF_StopError "链结标题和地址都不能为空！"
	End If

	oLinks.EditLink oriLinkId, newLinkTitle, newLinkAddr, newLinkDesc
	CF_RemoveCache "BlogLinks_" & CStr(bloggerId)

	Set oBloggers = Nothing : Set oLinks = Nothing
	Response.Redirect "EditLinks.asp?ID=" & CStr(bloggerId)
End If

If StrComp(act, "M") = 0 Then
	oriLinkId = Request.QueryString("LinkID")
	If "" = oriLinkId Then
		Set oBloggers = Nothing : Set oLinks = Nothing
		CF_StopError "参数不足：LinkID"
	End If
	If Not IsNumeric(oriLinkId) Then
		Set oBloggers = Nothing : Set oLinks = Nothing
		CF_StopError "参数错误：LinkID"
	End If
	oriLinkId = CLng(oriLinkId)

	Dim linkInfo
	linkInfo = oLinks.GetLinkInfo(oriLinkId)
	oriLinkTitle = linkInfo(0)
	oriLinkAddr = linkInfo(1)
	oriLinkDesc = linkInfo(2)
End If

If StrComp(act, "D") = 0 Then
	oriLinkId = Request.QueryString("LinkID")
	If "" = oriLinkId Then
		Set oBloggers = Nothing : Set oLinks = Nothing
		CF_StopError "参数不足：LinkID"
	End If
	If Not IsNumeric(oriLinkId) Then
		Set oBloggers = Nothing : Set oLinks = Nothing
		CF_StopError "参数错误：LinkID"
	End If
	oriLinkId = CLng(oriLinkId)

	oLinks.DeleteLink oriLinkId
	CF_RemoveCache "BlogLinks_" & CStr(bloggerId)

	Set oBloggers = Nothing : Set oLinks = Nothing
	Response.Redirect "EditLinks.asp?ID=" & CStr(bloggerId)
End If

'取得链结列表
Dim linkList
linkList = CF_ReadFromCache("BlogLinks_" & CStr(bloggerId))
If Not IsArray(linkList) Then
	linkList = oBloggers.GetLinks(bloggerId)
	CF_InsertIntoCache "BlogLinks_" & CStr(bloggerId), linkList
End If

Set oBloggers = Nothing
Set oLinks = Nothing

Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>nirvana 用户后台管理 - 编辑首页链结</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="UserMgmt.css" />
<script type="text/javascript" language="JavaScript" src="UserMgmt.js"></script>
</head>
<body>
<div id="wrapper">
<div id="header">
	<h1><% = Server.HTMLEncode(arrThisBlogBasicInfo(1)) %><span id="owner"> - <% = Server.HTMLEncode(arrThisBlogBasicInfo(0)) %></span></h1>
	<h2><% = Server.HTMLEncode("" & arrThisBlogBasicInfo(2)) %>&nbsp;</h2>
</div>
<div id="tabHeader">
	<ul id="tabs">
		<li><a href="default.asp?ID=<% = CStr(bloggerId) %>">开始</a></li>
		<li><a href="PostsMgmt.asp?ID=<% = CStr(bloggerId) %>">网志发表/管理</a></li>
		<li><a href="CommentsMgmt.asp?ID=<% = CStr(bloggerId) %>">评论审核</a></li>
		<li><a href="EditCategories.asp?ID=<% = CStr(bloggerId) %>">网志分类</a></li>
		<li><a href="EditLinks.asp?ID=<% = CStr(bloggerId) %>" id="currentTab">友情链结</a></li>
		<li><a href="PrivateMsgs.asp?ID=<% = CStr(bloggerId) %>">悄悄话（<% = CStr(pmCount(0)) %>/<span class="new"><% = CStr(pmCount(1)) %></span>）</a></li>
		<li><a href="ModRegInfo.asp?ID=<% = CStr(bloggerId) %>">个性化设置</a></li>
		<li><a href="../Blog.asp?ID=<% = CStr(bloggerId) %>" class="return">返回 Blog 首页</a></li>
		<li><a href="UserLogout.asp?ID=<% = CStr(bloggerId) %>" class="return">Logout</a></li>
	</ul>
</div>
<div id="tabBody">
	<div id="side">
	</div>
	<div id="content">
		<dl>
			<dt>添加新链结</dt>
			<dd>
				<form action="EditLinks.asp" id="AddLinkForm" name="AddLinkForm" method="post" onsubmit="return ValidFormAdd();">
					标题：<input type="text" id="txtLinkTitleAdd" name="txtLinkTitleAdd" class="textBox" size="50" maxlength="50" />（50 字以内）
					<p></p>
					链结：<input type="text" id="txtLinkAddrAdd" name="txtLinkAddrAdd" class="textBox" size="50" maxlength="200" />
					<p></p>
					简介：<input type="text" id="txtLinkDescAdd" name="txtLinkDescAdd" class="textBox" size="50" maxlength="150" />
					<input type="submit" id="btnPostAdd" name="btnPostAdd" class="button" value="添加" />
					<input type="hidden" id="hidIsPostBackAdd" name="hidIsPostBackAdd" value="yEs" />
					<input type="hidden" id="hidBloggerIDAdd" name="hidBloggerID" value="<% = CStr(bloggerId) %>" />
				</form>
			</dd>
		</dl>
		<dl>
			<dt>已有链结列表</dt>
			<dd>
				<table width="100%" border="0">
<%
If Not IsNull(linkList) Then
	Dim r
	For r = 0 To UBound(linkList, 2)
%>
					<tr>
						<td width="70%"><a href="<% = Server.HTMLEncode(linkList(2, r)) %>" target="_blank"><% = Server.HTMLEncode(linkList(1, r)) %></a><div class="linkDesc"><% = Server.HTMLEncode(linkList(4, r)) %></div></td>
						<td width="15%" align="center">[<a href="EditLinks.asp?ID=<% = CStr(bloggerId) %>&amp;A=M&amp;LinkID=<% = linkList(0, r) %>#M">修改</a>]</td>
						<td width="15%" align="center">[<a href="EditLinks.asp?ID=<% = CStr(bloggerId) %>&amp;A=D&amp;LinkID=<% = linkList(0, r) %>" onclick="return confirm('确定要删除该条链结？');">删除</a>]</td>
					</tr>
<%
	Next
End If
%>
				</table>
			</dd>
		</dl>
		<dl>
			<dt><a name="M"></a>修改链结内容</dt>
			<dd>
				<form id="ModLinkForm" name="ModLinkForm" action="EditLinks.asp" method="post" onsubmit="return ValidFormMod();">
					标题：<input type="text" id="txtLinkTitleMod" name="txtLinkTitleMod" class="textBox" size="50" maxlength="50" value="<% = Server.HTMLEncode(oriLinkTitle) %>"<% If "M" <> act Then %> disabled="disabled"<% End If %> />（50 字以内）
					<p></p>
					链结：<input type="text" id="txtLinkAddrMod" name="txtLinkAddrMod" class="textBox" size="50" maxlength="200" value="<% = Server.HTMLEncode(oriLinkAddr) %>"<% If "M" <> act Then %> disabled="disabled"<% End If %> />
					<p></p>
					简介：<input type="text" id="txtLinkDescMod" name="txtLinkDescMod" class="textBox" size="50" maxlength="150" value="<% = Server.HTMLEncode(oriLinkDesc) %>"<% If "M" <> act Then %> disabled="disabled"<% End If %> />
					<input type="submit" id="btnPostMod" name="btnPostMod" class="button" value="修改"<% If "M" <> act Then %> disabled="disabled"<% End If %> />
					<input type="hidden" id="hidIsPostBackMod" name="hidIsPostBackMod" value="yEs" />
					<input type="hidden" id="hidBloggerIDMod" name="hidBloggerID" value="<% = CStr(bloggerId) %>" />
					<input type="hidden" id="hidOriLinkID" name="hidOriLinkID" value="<% = CStr(oriLinkId) %>" />
				</form>
			</dd>
		</dl>
	</div>
	<div class="z"></div>
</div>
<!-- #Include File="../Components/Footer.asp" -->
</div>
</body>
</html>
