﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" />

<xsl:template match="rss/channel">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><xsl:value-of select="title" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" href="Export.css" />
</head>
<body>
<xsl:apply-templates select="title" />
<xsl:apply-templates select="item" />
</body>
</html>
</xsl:template>

<xsl:template match="title">
<h1><xsl:value-of select="text()" /></h1>
</xsl:template>

<xsl:template match="item">
<div class="entry">
	<h3><xsl:value-of select="title" /></h3>
	<div class="header"><a href="{link}">Link</a> - <xsl:value-of select="pubDate" /> - <xsl:value-of select="author" /></div>
	<div class="description"><xsl:value-of select="description" disable-output-escaping="yes" /></div>
</div>
</xsl:template>
</xsl:stylesheet>
