<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="../Components/ConfigInfo.asp" -->
<!-- #Include File="../Components/CommonFunctions.asp" -->
<!-- #Include File="../Helpers/SystemEnabled.asp" -->
<!-- #Include File="../Components/CDataOperator.asp" -->
<!-- #Include File="../Components/CEnDec.asp" -->
<!-- #Include File="../Components/CBloggersDB.asp" -->
<!-- #Include File="../Components/CPrivateMessagesDB.asp" -->
<%
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then bloggerId = Request.Form("hidBloggerID")
If "" = bloggerId Then CF_StopError "参数缺少：ID"
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)
%>
<!-- #Include File="../Components/CommonCodes4Mgmt.asp" -->
<%
'提交后
If StrComp(Request.Form("hidIsPostBack"), "yEs") = 0 Then
	Dim pwd, repeatPwd, email, title, intro, friendPwd, announcement, skin, isPublic
	pwd = Request.Form("txtPassword")
	repeatPwd = Request.Form("txtConfirmPwd")
	email = Request.Form("txtEMail")
	title = Request.Form("txtBlogTitle")
	intro = Request.Form("txtBlogIntro")
	friendPwd = Request.Form("BlogFriendPwd")
	announcement = Request.Form("txtBlogAnnouncement")
	skin = Request.Form("selBlogSkin")
	isPublic = Request.Form("chkIsPublic")
	If "No" = isPublic Then isPublic = False Else isPublic = True
	'合法性验证
	Dim regEx
	Set regEx = New RegExp
	regEx.IgnoreCase = True
	regEx.Global = True
	'必填字段
	If "" = pwd Or "" = repeatPwd Or "" = title Or "" = friendPwd Then
		Set regEx = Nothing : Set oBloggers = Nothing
		CF_StopError "带 * 的项目请完整填写！"
	End If
	'密码一致性
	If pwd <> repeatPwd Then
		Set regEx = Nothing : Set oBloggers = Nothing
		CF_StopError "两次密码输入不一致！"
	End If
	'E-mail 地址合法性
	If email <> "" Then
		regEx.Pattern = "(\S)+[@]{1}(\S)+[.]{1}(\S)+"
		If regEx.Test(email) = False Then
			Set regEx = Nothing : Set oBloggers = Nothing
			CF_StopError "E-mail 地址格式不正确！"
		End If
	End If
	Set regEx = Nothing

	Dim newBloggerInfo
	Set newBloggerInfo = New BloggerInfo
	newBloggerInfo.UserID = bloggerId : newBloggerInfo.Password = pwd : newBloggerInfo.EMail = email
	newBloggerInfo.Title = title : newBloggerInfo.Intro = intro : newBloggerInfo.FriendPassword = friendPwd
	newBloggerInfo.Announcement = announcement : newBloggerInfo.SkinName = skin : newBloggerInfo.IsPublic = isPublic

	oBloggers.UpdateBloggerInfo newBloggerInfo
	CF_RemoveCache "AllBloggerList"
	CF_RemoveCache "BlogBasicInfo_" & CStr(bloggerId)

	Set oBloggers = Nothing
	Response.Redirect "ModRegInfo.asp?ID=" & CStr(bloggerId)
End If

Set oBloggers = Nothing

Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>nirvana 用户后台管理 - 修改注册信息</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="UserMgmt.css" />
<script type="text/javascript" language="javascript" src="UserMgmt.js"></script>
</head>
<body onload="ShowSkinPreview();">
<div id="wrapper">
<div id="header">
	<h1><% = Server.HTMLEncode(arrThisBlogBasicInfo(1)) %><span id="owner"> - <% = Server.HTMLEncode(arrThisBlogBasicInfo(0)) %></span></h1>
	<h2><% = Server.HTMLEncode("" & arrThisBlogBasicInfo(2)) %>&nbsp;</h2>
</div>
<div id="tabHeader">
	<ul id="tabs">
		<li><a href="default.asp?ID=<% = CStr(bloggerId) %>">开始</a></li>
		<li><a href="PostsMgmt.asp?ID=<% = CStr(bloggerId) %>">网志发表/管理</a></li>
		<li><a href="CommentsMgmt.asp?ID=<% = CStr(bloggerId) %>">评论审核</a></li>
		<li><a href="EditCategories.asp?ID=<% = CStr(bloggerId) %>">网志分类</a></li>
		<li><a href="EditLinks.asp?ID=<% = CStr(bloggerId) %>">友情链结</a></li>
		<li><a href="PrivateMsgs.asp?ID=<% = CStr(bloggerId) %>">悄悄话（<% = CStr(pmCount(0)) %>/<span class="new"><% = CStr(pmCount(1)) %></span>）</a></li>
		<li><a href="ModRegInfo.asp?ID=<% = CStr(bloggerId) %>" id="currentTab">个性化设置</a></li>
		<li><a href="../Blog.asp?ID=<% = CStr(bloggerId) %>" class="return">返回 Blog 首页</a></li>
		<li><a href="UserLogout.asp?ID=<% = CStr(bloggerId) %>" class="return">Logout</a></li>
	</ul>
</div>
<div id="tabBody">
	<div id="side">
	</div>
	<div id="content">
		<dl>
			<dt>修改注册资料及 Blog 设置信息</dt>
			<dd>
				<form id="ModRegInfoForm" name="ModRegInfoForm" action="ModRegInfo.asp" method="post" onsubmit="return ValidFormModRegInfo();">
					<table id="modTable">
						<tr>
							<td class="l">用户名：</td>
							<td><% = Server.HTMLEncode(arrThisBlogBasicInfo(0)) %></td>
						</tr>
						<tr>
							<td class="l">密码：</td>
							<td><input type="password" id="txtPassword" name="txtPassword" class="textBox" size="16" maxlength="20" value="<% = Server.HTMLEncode(arrThisBlogBasicInfo(9)) %>" /> *</td>
						</tr>
						<tr>
							<td class="l">重复密码：</td>
							<td><input type="password" id="txtConfirmPwd" name="txtConfirmPwd" class="textBox" size="16" maxlength="20" value="<% = Server.HTMLEncode(arrThisBlogBasicInfo(9)) %>" /> *</td>
						</tr>
						<tr>
							<td class="l">E-mail：</td>
							<td><input type="text" id="txtEMail" name="txtEMail" class="textBox" size="25" maxlength="50" value="<% = arrThisBlogBasicInfo(10) %>" /></td>
						</tr>
						<tr>
							<td class="l">Blog 名称：</td>
							<td><input type="text" id="txtBlogTitle" name="txtBlogTitle" class="textBox" size="25" maxlength="50" value="<% = Server.HTMLEncode(arrThisBlogBasicInfo(1)) %>" /> *</td>
						</tr>
						<tr>
							<td class="l">Blog 简介：</td>
							<td><input type="text" id="txtBlogIntro" name="txtBlogIntro" class="textBox" size="50" maxlength="100" value="<% = Server.HTMLEncode("" & arrThisBlogBasicInfo(2))%>" /></td>
						</tr>
						<tr>
							<td class="l">好友密码：</td>
							<td><input type="text" id="BlogFriendPwd" name="BlogFriendPwd" class="textBox" size="16" maxlength="20" value="<% = Server.HTMLEncode(arrThisBlogBasicInfo(5)) %>" />&nbsp;*</td>
						</tr>
						<tr>
							<td class="l">首页公告：</td>
							<td><textarea id="txtBlogAnnouncement" name="txtBlogAnnouncement" class="textBox" rows="20" cols="70"><% = Server.HTMLEncode("" & arrThisBlogBasicInfo(6)) %></textarea><div>建议放置：个人宣言/图片/计数器……</div></td>
						</tr>
						<tr>
							<td class="l">界面主题：</td>
							<td>
								<select id="selBlogSkin" name="selBlogSkin" class="textBox" onchange="ShowSkinPreview();">
<%
'从 XML 配置文件中获取 skin 列表
Dim domSkins, skinItem
Set domSkins = Server.CreateObject("Microsoft.XMLDOM")
domSkins.async = False
domSkins.load Server.MapPath("SkinList.xml")
For Each skinItem In domSkins.documentElement.childNodes
%>
									<option title="<% = skinItem.childNodes(2).text %>" value="<% = skinItem.childNodes(1).text %>"<% If skinItem.childNodes(1).text = arrThisBlogBasicInfo(7) Then %> selected="selected"<% End If %>><% = skinItem.childNodes(0).text %></option>
<%
Next
Set domSkins = Nothing
%>
								</select>
								<img id="imgPreview" src="" class="skinPreview" alt="预览" />
								<div class="skinDescDiv" id="skinDescr"></div>
							</td>
						</tr>
						<tr>
							<td class="l">其他选项：</td>
							<td><input type="checkbox" id="chkIsPublic" name="chkIsPublic" value="No"<% If False = arrThisBlogBasicInfo(8) Then %> checked="checked"<% End If %> /> <label for="chkIsPublic">对于非本 Blog 社区的用户发表的评论，需要经我验证后方可显示</label></td>
						</tr>
						<tr>
							<td colspan="2" class="b"><input type="submit" id="btnPost" name="btnPost" value=" 提 交 " class="button" /></td>
						</tr>
					</table>
					<input type="hidden" id="hidIsPostBack" name="hidIsPostBack" value="yEs" />
					<input type="hidden" id="hidBloggerID" name="hidBloggerID" value="<% = CStr(bloggerId) %>" />
				</form>
			</dd>
		</dl>
	</div>
	<div class="z"></div>
</div>
<!-- #Include File="../Components/Footer.asp" -->
</div>
</body>
</html>
