<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="../Components/ConfigInfo.asp" -->
<!-- #Include File="../Components/CommonFunctions.asp" -->
<!-- #Include File="../Helpers/SystemEnabled.asp" -->
<!-- #Include File="../Components/CDataOperator.asp" -->
<!-- #Include File="../Components/CEnDec.asp" -->
<!-- #Include File="../Components/CBloggersDB.asp" -->
<!-- #Include File="../Components/CPrivateMessagesDB.asp" -->
<!-- #Include File="../Components/CBlogsDB.asp" -->
<!-- #Include File="../Components/CTagsDB.asp" -->
<%
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then bloggerId = Request.Form("hidBloggerID")
If "" = bloggerId Then CF_StopError "参数缺少：ID"
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)
%>
<!-- #Include File="../Components/CommonCodes4Mgmt.asp" -->
<%
Dim acvYear, acvMonth
acvYear = Request.QueryString("Y")
If "" = acvYear Then acvYear = Request.Form("hidYear")
If "" = acvYear Then acvYear = Year(Now())
acvMonth = Request.QueryString("M")
If "" = acvMonth Then acvMonth = Request.Form("hidMonth")
If "" = acvMonth Then acvMonth = Month(Now())

'Tags 相关操作对象
Dim oTagsDb
Set oTagsDb = New TagsDB
oTagsDb.DataConnectionString = mainDataConnectionString
oTagsDb.CurrentBloggerID = bloggerId

'清理 Tag 字符串内容的函数，防止分隔空格多余一个
Function PurgeTags(tagStr)
	Dim t, u, i
	t = Split(tagStr, " ")
	u = ""
	For i = 0 To UBound(t)
		If Len(t(i)) > 0 Then u = u & t(i) & " "
	Next
	PurgeTags = Trim(u)
End Function

If StrComp(Request.Form("hidIsPostBack"), "yEs") = 0 Then
	Dim oBlogs
	Set oBlogs = New BlogsDB
	oBlogs.DataConnectionString = mainDataConnectionString
	oBlogs.CurrentBloggerID = bloggerId

	Dim blogIds
	blogIds = Request.Form("chkSelPosts") '选中的文章 ID 列表

	If Len("" & Request.Form("subChangeCate")) > 1 Then '改变分类
		Dim newCateId
		newCateId = Request.Form("selCateList")
		If Len("" & blogIds) >= 1 Then
			oBlogs.CategorizeEntries blogIds, CLng(newCateId)
			CF_RemoveCache "BlogTopEntries_" & CStr(bloggerId)
		End If
	End If

	If Len("" & Request.Form("subSetState")) > 1 Then '改变状态
		Dim bState
		bState = Request.Form("selState")
		If Len("" & blogIds) >= 1 Then
			oBlogs.SetStateOfEntries blogIds, bState
			CF_RemoveCache "AllBloggerList"
			CF_RemoveCache "LatestEntries"
			CF_RemoveCache "BlogBasicInfo_" & CStr(bloggerId)
			CF_RemoveCache "BlogArchives_" & CStr(bloggerId)
			CF_RemoveCache "BlogRecentCommentList_" & CStr(bloggerId)
			CF_RemoveCache "BlogTopEntries_" & CStr(bloggerId)
		End If
	End If

	If Len("" & Request.Form("subBatchDelete")) > 1 Then '批量删除
		If Len("" & blogIds) >= 1 Then
			oBlogs.BatchDeleteEntries blogIds
			Application.Lock
			Application.Contents.RemoveAll '干脆清除全部缓存……那个每篇 blog 后面的评论列表究竟需不需要做缓存呢？再考虑考虑...
			Application.Unlock
		End If
	End If

	If Len("" & Request.Form("subBatchSetTags")) > 1 Then '批量设置 tag
		If Len("" & blogIds) >= 1 Then
			Dim tags
			tags = PurgeTags(Trim(Request.Form("txtTags")))
			oBlogs.BatchSetTags blogIds, tags

			Dim bIds, bi
			bIds = Split(blogIds, ", ") '经过验证，分割符确实是“, ”！
			For bi = 0 To UBound(bIds)
				oTagsDb.UpdateTags tags, CLng(bIds(bi))
			Next
			CF_RemoveCache "BlogTopEntries_" & CStr(bloggerId)
			CF_RemoveCache "LatestEntries"
			CF_RemoveCache "BlogTags_" & CStr(bloggerId)
			CF_RemoveCache "BlogTagCloud_" & CStr(bloggerId)
			CF_RemoveCache "AllTagCloud"
		End If
	End If

	Set oTagsDb = Nothing
	Set oBlogs = Nothing
	Set oBloggers = Nothing
	Response.Redirect "PostsMgmt.asp?ID=" & CStr(bloggerId) & "&Y=" & acvYear & "&M=" & acvMonth
End If

'Tag 集合
Dim arrTags
arrTags = CF_ReadFromCache("BlogTags_" & CStr(bloggerId))
If Not IsArray(arrTags) Then
	arrTags = oTagsDb.GetTagList(False)
	CF_InsertIntoCache "BlogTags_" & CStr(bloggerId), arrTags
End If
Set oTagsDb = Nothing

Dim tagStringJS
If IsArray(arrTags) Then
	Dim tj, tgCount
	tgCount = UBound(arrTags, 2)
	For tj = 0 To tgCount
		tagStringJS = tagStringJS & """" & arrTags(1, tj) & """"
		If tj < tgCount Then
			tagStringJS = tagStringJS & ","
		End If
	Next
End If

'网志档案
Dim arrArchives
arrArchives = oBloggers.GetBlogArchivesListA(bloggerId)

Dim listMonthName
listMonthName = CStr(acvYear) & "年" & CStr(acvMonth) & "月"

'获取指定月的网志列表
Dim arrMonthBlogs
arrMonthBlogs = oBloggers.GetBlogListByMonthA(bloggerId, acvYear, acvMonth)

'网志分类
Dim arrBlogCustomCates
arrBlogCustomCates = CF_ReadFromCache("BlogCustomCategoryList_" & CStr(bloggerId))
If Not IsArray(arrBlogCustomCates) Then
	arrBlogCustomCates = oBloggers.GetBlogCustomCategoryList(bloggerId)
	CF_InsertIntoCache "BlogCustomCategoryList_" & CStr(bloggerId), arrBlogCustomCates
End If

Set oBloggers = Nothing

Function ShowStateText(postState)
	Dim retval
	Select Case postState
		Case 0
			retval = "保密"
		Case 1
			retval = ""
		Case 2
			retval = "草稿"
		Case Else
			retval = ""
	End Select
	ShowStateText = retval
End Function

Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>nirvana 用户后台管理 - 网志管理</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="UserMgmt.css" />
<script type="text/javascript" language="javascript" src="AutoSuggest.js"></script>
<script type="text/javascript">
<!--
function validateTags()
{
	var a = document.getElementById("txtTags").value;
	if(a != "") {
		if(/[^\u4E00-\u9FA0a-zA-Z0-9._ ]/.test(a)) {
			alert("Tag 名中不能含有除中文、字母、数字、句点、空格和下划线之外的字符！");
			return false;
		}
		var hasSame = false;
		var aa = a.split(" ");
		for(var i = 0; i < aa.length; i++) {
			for(var j = i + 1; j < aa.length; j++) {
				if(aa[i] == aa[j]) {
					hasSame = true;
					break;
				}
			}
		}
		if(hasSame) {
			alert("Tag 中有重复字符，请修改！");
			return false;
		}
	} else {
		return confirm("您没有输入 Tag，这样将会删除被选中的网志现有的 Tag，确定？");
	}
	return confirm('确定要将所选网志设置为这些 tag？');
}
// -->
</script>
</head>
<body>
<div id="wrapper">
<div id="header">
	<h1><% = Server.HTMLEncode(arrThisBlogBasicInfo(1)) %><span id="owner"> - <% = Server.HTMLEncode(arrThisBlogBasicInfo(0)) %></span></h1>
	<h2><% = Server.HTMLEncode("" & arrThisBlogBasicInfo(2)) %>&nbsp;</h2>
</div>
<div id="tabHeader">
	<ul id="tabs">
		<li><a href="default.asp?ID=<% = CStr(bloggerId) %>">开始</a></li>
		<li><a href="PostsMgmt.asp?ID=<% = CStr(bloggerId) %>" id="currentTab">网志发表/管理</a></li>
		<li><a href="CommentsMgmt.asp?ID=<% = CStr(bloggerId) %>">评论审核</a></li>
		<li><a href="EditCategories.asp?ID=<% = CStr(bloggerId) %>">网志分类</a></li>
		<li><a href="EditLinks.asp?ID=<% = CStr(bloggerId) %>">友情链结</a></li>
		<li><a href="PrivateMsgs.asp?ID=<% = CStr(bloggerId) %>">悄悄话（<% = CStr(pmCount(0)) %>/<span class="new"><% = CStr(pmCount(1)) %></span>）</a></li>
		<li><a href="ModRegInfo.asp?ID=<% = CStr(bloggerId) %>">个性化设置</a></li>
		<li><a href="../Blog.asp?ID=<% = CStr(bloggerId) %>" class="return">返回 Blog 首页</a></li>
		<li><a href="UserLogout.asp?ID=<% = CStr(bloggerId) %>" class="return">Logout</a></li>
	</ul>
</div>
<div id="tabBody">
	<div id="side">
		<dl>
			<dt>相关操作</dt>
			<dd><a href="EditPost.asp?ID=<% = CStr(bloggerId)%>">发表新网志</a></dd>
		</dl>
		<dl>
			<dt><a name="archList"></a>网志档案</dt>
<%
If Not IsNull(arrArchives) Then
	Dim r
	For r = 0 To UBound(arrArchives, 2)
%>
			<dd class="archItem"><a href="PostsMgmt.asp?ID=<% = CStr(bloggerId) %>&amp;Y=<% = arrArchives(0, r) %>&amp;M=<% = arrArchives(1, r) %>"><% = arrArchives(0, r) %>年<% = arrArchives(1, r) %>月【<% = arrArchives(2, r) %>】</a></dd>
<%
	Next
End If
%>
		</dl>
		<dl>
			<dt>工具</dt>
			<dd><a href="Import.asp?ID=<% = CStr(bloggerId) %>">网志导入</a></dd>
		</dl>
	</div>
	<div id="content">
		<form action="PostsMgmt.asp" id="PostsMgmtForm" name="PostsMgmtForm" method="post">
			<dl>
				<dt><span style="color:#00f;"><% = listMonthName %></span>网志列表<span class="note">（要列出其他月份的网志，请从左侧档案区域选择）</span> <a href="Export.asp?ID=<% = CStr(bloggerId) %>&amp;Y=<% = acvYear %>&amp;M=<% = acvMonth %>" target="_blank"><img alt="Export" src="../Images/Save.gif" title="导出本月网志..." class="exportIcon" /></a></dt>
				<dd>
					<table cellspacing="1" id="postsMgmtTable">
						<tr style="background-color:#369;color:#fff;">
							<th width="5%" align="center">选</th>
							<th width="60%" align="center">网志标题</th>
							<th width="15%" align="center">发表日期</th>
							<th width="10%" align="center">状态</th>
							<th width="5%" align="center">改</th>
							<th align="center">删</th>
						</tr>
<%
If Not IsNull(arrMonthBlogs) Then
	Dim s
	For s = 0 To UBound(arrMonthBlogs, 2)
%>
						<tr>
							<td align="center"><input type="checkbox" name="chkSelPosts" value="<% = arrMonthBlogs(0, s) %>" /></td>
							<td>
								<a href="../Read.asp?ID=<% = CStr(bloggerId) %>&amp;BID=<% = arrMonthBlogs(0, s) %>" target="_blank"><% = Server.HTMLEncode(arrMonthBlogs(2, s)) %></a>
								<p class="entryClass"><span>类别：</span><% = Server.HTMLEncode(arrMonthBlogs(8, s)) %> <span>Tag：</span><% = Server.HTMLEncode(arrMonthBlogs(9, s)) %></p>
							</td>
							<td><% = FormatDateTime(arrMonthBlogs(1, s), vbShortDate) %></td>
							<td align="center"><% = ShowStateText(arrMonthBlogs(5, s)) %></td>
							<td align="center"><a href="EditPost.asp?ID=<% = CStr(bloggerId) %>&amp;BID=<% = arrMonthBlogs(0, s) %>&amp;RU=<% = Server.URLEncode(CF_GetCurrentURL()) %>">[改]</a></td>
							<td align="center"><a href="DeletePost.asp?ID=<% = CStr(bloggerId) %>&amp;BID=<% = arrMonthBlogs(0, s) %>&amp;RU=<% = Server.URLEncode(CF_GetCurrentURL()) %>" onclick="return confirm('确定要删除这篇网志？');">[删]</a></td>
						</tr>
<%
	Next
End If
%>
					</table>
				</dd>
				<dd>
					<fieldset>
						<legend>批量处理选中的网志</legend>
						<div class="mOper">
						<p>重新归类到：
						<select id="selCateList" name="selCateList" class="textBox">
							<option value="1" selected="selected">未分类</option>
<%
If Not IsNull(arrBlogCustomCates) Then
	Dim t
	For t = 0 To UBound(arrBlogCustomCates, 2)
%>
							<option value="<% = arrBlogCustomCates(0, t) %>"><% = Server.HTMLEncode(arrBlogCustomCates(1, t)) %></option>
<%
	Next
End If
%>
						</select>
						<input type="submit" id="subChangeCate" name="subChangeCate" value="归类" class="button" onclick="return confirm('确定要改变所选网志的类别？');" /></p>
						<p>改变状态为：
						<select id="selState" name="selState" class="textBox">
							<option value="0" selected="selected">保密</option>
							<option value="1">公开</option>
							<option value="2">草稿</option>
						</select>
						<input type="submit" id="subSetState" name="subSetState" value="改变" class="button" onclick="return confirm('确定要改变所选网志的状态？');" />
						或者
						<input type="submit" id="subBatchDelete" name="subBatchDelete" value="删除" class="button" onclick="return confirm('确定要删除所选网志？！');" /></p>
						<p>设置 Tag 为：<input type="text" id="txtTags" name="txtTags" class="textBox" size="50" maxlength="200" />
							<input type="submit" id="subBatchSetTags" name="subBatchSetTags" value="设置" class="button" onclick="return validateTags();" />
							<div id="autosuggest"><ul></ul></div>
							<script type="text/javascript">
								var myTags = new Array(<% = tagStringJS %>);
								new AutoSuggest(document.getElementById("txtTags"), myTags);
							</script></p>
						</div>
					</fieldset>
				</dd>
				<dd>
					<fieldset>
						<legend>网志导出相关说明</legend>
						<ul id="importInfo">
							<li>现有网志可以按发表月份分组导出</li>
							<li>导出格式为符合 RSS 2.0 标准的 XML 文档</li>
							<li>点击本页网志列表右上方的“磁盘”图标即可获取导出的内容</li>
							<li>请自行另存为扩展名为 xml 的文件，并请下载<a href="Export.xsl">配套的 XSL 样式表</a>和 <a href="Export.css">CSS 样式表</a>（右键－另存为），需和 xml 文件置于同一目录下</li>
						</ul>
					</fieldset>
				</dd>
			</dl>
			<input type="hidden" id="hidIsPostBack" name="hidIsPostBack" value="yEs" />
			<input type="hidden" id="hidBloggerID" name="hidBloggerID" value="<% = CStr(bloggerId) %>" />
			<input type="hidden" id="hidYear" name="hidYear" value="<% = acvYear %>" />
			<input type="hidden" id="hidMonth" name="hidMonth" value="<% = acvMonth %>" />
		</form>
	</div>
	<div class="z"></div>
</div>
<!-- #Include File="../Components/Footer.asp" -->
</div>
</body>
</html>
