<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="../Components/ConfigInfo.asp" -->
<!-- #Include File="../Components/CommonFunctions.asp" -->
<!-- #Include File="../Helpers/SystemEnabled.asp" -->
<!-- #Include File="../Components/CDataOperator.asp" -->
<!-- #Include File="../Components/CEnDec.asp" -->
<!-- #Include File="../Components/CBloggersDB.asp" -->
<!-- #Include File="../Components/CPrivateMessagesDB.asp" -->
<%
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then CF_StopError "参数缺少：ID"
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)

Dim pmId
pmId = Request.QueryString("PMID")
If "" = pmId Then CF_StopError "参数缺少：PMID"
If Not IsNumeric(pmId) Then CF_StopError "参数错误：PMID"
pmId = CLng(pmId)
%>
<!-- #Include File="../Components/CommonCodes4Mgmt.asp" -->
<%
Dim oPMs1
Set oPMs1 = New PrivateMessagesDB
oPMs1.DataConnectionString = mainDataConnectionString
oPMs1.CurrentBloggerID = bloggerId

'取得本条悄悄话信息
Dim pmDetails, oThisPM
Set oThisPM = oPMs1.ReadPrivateMessage(pmId)
CF_RemoveCache "BlogPMNum_" & CStr(bloggerId) '更新悄悄话信息
CF_RemoveCache "BlogPMList_" & CStr(bloggerId)
ReDim pmDetails(5)
pmDetails(0) = oThisPM.FromName
pmDetails(1) = oThisPM.Title
pmDetails(2) = oThisPM.Content
pmDetails(3) = oThisPM.SendTime
pmDetails(4) = oThisPM.SenderEMail
pmDetails(5) = oThisPM.FromIP
Set oThisPM = Nothing

Set oPMs1 = Nothing

Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>nirvana 用户后台管理 - 查看悄悄话</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="UserMgmt.css" />
</head>
<body>
<div id="wrapper">
<div id="header">
	<h1><% = Server.HTMLEncode(arrThisBlogBasicInfo(1)) %><span id="owner"> - <% = Server.HTMLEncode(arrThisBlogBasicInfo(0)) %></span></h1>
	<h2><% = Server.HTMLEncode("" & arrThisBlogBasicInfo(2)) %>&nbsp;</h2>
</div>
<div id="tabHeader">
	<ul id="tabs">
		<li><a href="default.asp?ID=<% = CStr(bloggerId) %>">开始</a></li>
		<li><a href="PostsMgmt.asp?ID=<% = CStr(bloggerId) %>">网志发表/管理</a></li>
		<li><a href="CommentsMgmt.asp?ID=<% = CStr(bloggerId) %>">评论审核</a></li>
		<li><a href="EditCategories.asp?ID=<% = CStr(bloggerId) %>">网志分类</a></li>
		<li><a href="EditLinks.asp?ID=<% = CStr(bloggerId) %>">友情链结</a></li>
		<li><a href="PrivateMsgs.asp?ID=<% = CStr(bloggerId) %>" id="currentTab">悄悄话（<% = CStr(pmCount(0)) %>/<span class="new"><% = CStr(pmCount(1)) %></span>）</a></li>
		<li><a href="ModRegInfo.asp?ID=<% = CStr(bloggerId) %>">个性化设置</a></li>
		<li><a href="../Blog.asp?ID=<% = CStr(bloggerId) %>" class="return">返回 Blog 首页</a></li>
		<li><a href="UserLogout.asp?ID=<% = CStr(bloggerId) %>" class="return">Logout</a></li>
	</ul>
</div>
<div id="tabBody">
	<div id="side">
		<dl>
			<dt>相关操作</dt>
			<dd><a href="PrivateMsgs.asp?ID=<% = CStr(bloggerId) %>">返回“悄悄话列表”页面</a></dd>
		</dl>
	</div>
	<div id="content">
		<dl>
			<dt>查看悄悄话</dt>
			<dd>
				<table id="pmReadTable">
					<tr>
						<td class="l">发信人：</td>
						<td><% If "" <> pmDetails(4) Then %><a href="mailto:<% = pmDetails(4) %>"><% = Server.HTMLEncode(pmDetails(0)) %></a><% Else %><% = Server.HTMLEncode(pmDetails(0)) %><% End If %> <span class="ip">IP:<% = pmDetails(5) %></span></td>
					</tr>
					<tr>
						<td class="l">发信时间：</td>
						<td><% = pmDetails(3) %></td>
					</tr>
					<tr>
						<td class="l">悄悄话标题：</td>
						<td><% = Server.HTMLEncode(pmDetails(1)) %></td>
					</tr>
					<tr>
						<td colspan="2" class="pmBody"><% = CF_UBBCode("" & pmDetails(2), True) %></td>
					</tr>
				</table>
			</dd>
		</dl>
	</div>
	<div class="z"></div>
</div>
<!-- #Include File="../Components/Footer.asp" -->
</div>
</body>
</html>
