<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="Components/ConfigInfo.asp" -->
<!-- #Include File="Components/CommonFunctions.asp" -->
<!-- #Include File="Helpers/SystemEnabled.asp" -->
<!-- #Include File="Components/CDataOperator.asp" -->
<!-- #Include File="Components/CBloggersDB.asp" -->
<%
Dim allBloggerList, latestEntries

Dim oBloggers
Set oBloggers = New BloggersDB
oBloggers.DataConnectionString = CF_GetConfigInfo("DCSDataSourceString") & Server.MapPath("Database") & "\" & CF_GetConfigInfo("DCSDatabaseFileName")

allBloggerList = CF_ReadFromCache("AllBloggerList")
If Not IsArray(allBloggerList) Then
	allBloggerList = oBloggers.ListBloggers()
	CF_InsertIntoCache "AllBloggerList", allBloggerList
End If

latestEntries = CF_ReadFromCache("LatestEntries")
If Not IsArray(latestEntries) Then
	latestEntries = oBloggers.GetLatestEntries(7)
	CF_InsertIntoCache "LatestEntries", latestEntries
End If

Set oBloggers = Nothing

Dim fso, fr, annContent
Set fso = Server.CreateObject("Scripting.FileSystemObject")
Set fr = fso.OpenTextFile(Server.MapPath("ADMIN/Announcement.txt"), 1, False)
annContent = fr.ReadAll()
fr.Close
Set fr = Nothing
Set fso = Nothing

Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><% = CI_SITE_TITLE %> - 首页</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="Blogs.css" />
<link rel="shortcut icon" href="Images/favicon.ico" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="LatestRSS.asp" />
</head>
<body>
<div id="topBar"><a href="Portal.asp">Portal Home</a></div>
<div id="wrapper">
<div id="title"><img alt="我和我的朋友们～" src="Images/Logo.gif" width="400" height="80" border="0" /></div>
<div id="bloggerList">
	<table cellspacing="0">
		<tr style="color:#fff;background:#369;">
			<th class="blogTitle">Blogger 列表</th>
			<th class="count">网志数</th>
			<th class="count">评论数</th>
			<th class="updTime">更新日期</th>
		</tr>
<%
If Not IsNull(allBloggerList) Then
	Dim r
	Dim allBloggerListCount
	allBloggerListCount = UBound(allBloggerList, 2)
	For r = 0 To allBloggerListCount
%>
		<tr onmouseover="this.bgColor='#F0F8FF';" onmouseout="this.bgColor='#FFFFFF';">
			<td class="blogTitle"><div class="nameBox"><% = Server.HTMLEncode(allBloggerList(1, r)) %></div><h3><a href="Blog.asp?ID=<% = allBloggerList(0, r) %>" title="<% = Server.HTMLEncode("" & allBloggerList(6, r)) %>"><% = Server.HTMLEncode(allBloggerList(2, r)) %></a></h3></td>
			<td class="count"><% = allBloggerList(3, r) %></td>
			<td class="count"><% If IsNull(allBloggerList(4, r)) Then %>0<% Else %><% = allBloggerList(4, r) %><% End If %></td>
			<td class="updTime"><% If IsNull(allBloggerList(5, r)) Then %>N/A<% Else %><% = FormatDateTime(allBloggerList(5, r), vbShortDate) %><% End If %>&nbsp;</td>
		</tr>
<%
	Next
End If
%>
	</table>
</div>
<div id="infoArea">
	<dl id="ann">
		<dt>最近公告</dt>
		<dd><% = CF_UBBCode(annContent, True) %></dd>
	</dl>
	<dl id="latestEntries">
		<dt>最新公开发表的网志 <a href="LatestRSS.asp"><img src="Images/feed-icon-12x12.gif" alt="RSS 2.0" style="width:12px;height:12px;border:0;vertical-align:middle;" /></a></dt>
<%
If Not IsNull(latestEntries) Then
	Dim r1
	Dim latestEntriesCount
	latestEntriesCount = UBound(latestEntries, 2)
	For r1 = 0 To latestEntriesCount
%>
		<dd><div class="title"><img alt="" src="Images/E<% = latestEntries(5, r1) %>.gif" class="exprIcon" /> <a href="Read.asp?ID=<% = latestEntries(1, r1) %>&amp;BID=<% = latestEntries(0, r1) %>"><% = Server.HTMLEncode(latestEntries(3, r1)) %></a></div><div class="author">——<a href="Blog.asp?ID=<% = latestEntries(1, r1) %>"><% = Server.HTMLEncode(latestEntries(4, r1)) %></a></div></dd>
<%
	Next
Else
%>
		<dd>N/A</dd>
<%
End If
%>
	</dl>
	<dl id="services">
		<dt>功能</dt>
		<dd id="GoogleSearch">
			<form target="nirvanaGoogleSearchWindow" id="GoogleSearchForm" name="GoogleSearchForm" action="http://www.google.com/custom" method="get">
				Google&trade; 搜索：<input type="text" name="q" class="textBox" size="12" />
				<input type="submit" id="btnSearch" name="btnSearch" class="button" value="搜" />
				<input type="hidden" name="domains" value="sinzy.net" />
				<input type="hidden" name="sitesearch" value="sinzy.net" />
				<input type="hidden" name="hl" value="zh-CN" />
				<input type="hidden" name="client" value="pub-0749178688148345" />
				<input type="hidden" name="forid" value="1" />
				<input type="hidden" name="ie" value="UTF-8" />
				<input type="hidden" name="oe" value="UTF-8" />
				<input type="hidden" name="cof" value="GALT:#008000;GL:1;DIV:#336699;VLC:663399;AH:center;BGC:FFFFFF;LBGC:336699;ALC:0000FF;LC:0000FF;T:000000;GFNT:0000FF;GIMP:0000FF;LH:40;LW:80;L:http://www.sinzy.net/Blog/Images/nirvana.gif;S:http://www.sinzy.net/Blog/;LP:1;FORID:1" />
			</form>
		</dd>
		<dd><a href="UserMgmt/UserLogin.asp" title="登录管理自己的 Blog">登录</a>∣<a href="UserRegister.asp" title="">注册</a>∣<a href="#" title="没写……">帮助</a></dd>
		<dd id="opml"><a href="OPML.asp">OPML</a></dd>
	</dl>
	<dl id="bloggerNameList">
		<dt>Active Bloggers</dt>
		<dd>
			<ul>
<%
If Not IsNull(allBloggerList) Then
	Dim s
	Dim allBloggerListCount1
	allBloggerListCount1 = UBound(allBloggerList, 2)
	For s = 0 To allBloggerListCount1
%>
				<li><a href="Blog.asp?ID=<% = allBloggerList(0, s) %>"><% = Server.HTMLEncode(allBloggerList(1, s)) %></a>&nbsp;&nbsp;<span class="latestUpdateTime"><% If IsNull(allBloggerList(5, s)) Then %>N/A<% Else %><% = FormatDateTime(allBloggerList(5, s), vbShortDate) %><% End If %></span></li>
<%
	Next
	Erase allBloggerList
End If
%>
			</ul>
		</dd>
	</dl>
</div>
<div id="otherInfo">
	Currently Supported Web Browsers: Firefox ALL, IE 6+ &amp; Opera 8+<br />
	<img src="Images/nirvanaBlogButton.gif" alt="&quot;nirvana&quot;" title="Powered by &quot;nirvana&quot; Blog Application" class="nirvanaButton" />
	<a href="http://www.spreadfirefox.com/?q=affiliates&amp;id=1797&amp;t=86" target="_blank"><img class="sprdff" alt="Get Firefox!" title="Get Firefox!" src="Images/Firefox.Small.gif" /></a>
	<a href="http://validator.w3.org/check?uri=referer"><img src="Images/W3C.Valid.XHTML.gif" alt="Valid XHTML 1.0!" title="Valid XHTML 1.0!" class="validXhtml" /></a>
	<a href="http://jigsaw.w3.org/css-validator/"><img class="validCss" src="Images/W3C.Valid.CSS.gif" alt="Valid CSS!" title="Valid CSS!" /></a>
</div>
<!-- #Include File="Components/Footer.asp" -->
</div>
<script src="http://www.google-analytics.com/urchin.js" type="text/javascript"></script>
<script type="text/javascript">_uacct = "UA-179540-1";urchinTracker();</script>
</body>
</html>
