﻿<%
'(P) 2003-05, C.K

'------------------------------------------------------------------------------
'Blog 首页链接相关类
'需要事先包含 CommonFunctions.asp 和 DataOperator 类的定义
'------------------------------------------------------------------------------

'内容简单，不用实体类
Class LinksDB
	Private m_connString
	Private m_dataOperator
	Private m_currentBloggerId

	Private Sub Class_Initialize()
		m_currentBloggerId = 0
		Set m_dataOperator = New DataOperator
	End Sub

	Private Sub Class_Terminate()
		Set m_dataOperator = Nothing
	End Sub

	Public Property Let DataConnectionString(connStr)
		m_connString = connStr
		m_dataOperator.OpenDatabase connStr
	End Property

	Public Property Let CurrentBloggerID(bloggerId)
		m_currentBloggerId = bloggerId
	End Property

	'Updated@060801：链接描述
	Public Sub AddLink(linkTitle, linkAddr, linkDesc)
		m_dataOperator.ExecuteNonQuery "INSERT INTO T_Links ([LinkTitle], [LinkAddress], [Description], [BelongTo]) VALUES (@linkTitle, @linkAddress, @linkDesc, @belongTo)", Array(linkTitle, linkAddr, linkDesc, m_currentBloggerId)
		'清除有关缓存
	End Sub

	Public Sub EditLink(linkId, newLinkTitle, newLinkAddr, newLinkDesc)
		m_dataOperator.ExecuteNonQuery "UPDATE T_Links SET [LinkTitle] = @linkTitle, [LinkAddress] = @linkAddress, [Description] = @linkDesc WHERE [BelongTo] = @belongTo AND [LID] = @linkId", Array(newLinkTitle, newLinkAddr, newLinkDesc, m_currentBloggerId, linkId)
		'清除有关缓存
	End Sub

	Public Sub DeleteLink(linkId)
		m_dataOperator.ExecuteNonQuery "DELETE FROM T_Links WHERE [BelongTo] = @belongTo AND [LID] = @linkId", Array(m_currentBloggerId, linkId)
		'清除有关缓存
	End Sub

	Public Function GetLinkInfo(linkId)
		Dim retval(2), link
		link = m_dataOperator.ExecuteArray("SELECT [LinkTitle], [LinkAddress], [Description] FROM T_Links WHERE [BelongTo] = @belongTo AND [LID] = @linkId", Array(m_currentBloggerId, linkId))
		retval(0) = link(0, 0)
		retval(1) = link(1, 0)
		retval(2) = Link(2, 0)
		GetLinkInfo = retval
	End Function
End Class
%>
