<%
'(P) 2003-05, C.K

'一些公用函数（CF_FuncName）

'从 nirvana_ConfigInfo_9913124.xml 的读取配置信息 -----------------------------
Function CF_GetConfigInfo(segName)
'	Dim domConf, retVal
'	Set domConf = Server.CreateObject("Microsoft.XMLDOM")
'	domConf.async = False

'	domConf.load Server.MapPath("nirvana_ConfigInfo_9913124.xml")
'	retVal = domConf.documentElement.selectSingleNode(segName).text

'	Set domConf = Nothing

	'为兼容以前的函数，暂时这么改。0.7 版再大修
	Dim retVal

	Select Case segName
		Case "Enabled"
			retVal = CI_ENABLED
		Case "StopScreen"
			retVal = CI_CLOSED_TEXT
		Case "DCSDataSourceString"
			retVal = CI_DB_CONNSTR_OLEDB
		Case "DCSDatabaseFileName"
			retVal = CI_MDB_FILENAME
		Case "AllowRegister"
			retVal = CI_OPEN_REG
		Case "Version"
			retVal = CI_VER
		Case "SysIdentifier"
			retVal = CI_SYSID
		Case "SysTitle"
			retVal = CI_SITE_TITLE
		Case Else
			retVal = ""
	End Select

	CF_GetConfigInfo = retVal
End Function
'------------------------------------------------------------------------------
'以 Response.End 的方式显示错误提示 -------------------------------------------
Sub CF_StopError(errorMsg)
	Session.CodePage = 65001
	Response.ContentType = "text/html; charset=utf-8"
	Response.Write "<!DOCTYPE html PUBLIC ""-//W3C//DTD XHTML 1.0 Transitional//EN"" ""http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"">"
	Response.Write "<html xmlns=""http://www.w3.org/1999/xhtml""><head><title>Error!</title><meta http-equiv=""Content-Type"" content=""text/html; charset=utf-8"" /></head>"
	Response.Write "<body style=""background:#fff;font-family:Verdana,sans-serif;font-size:12px;""><hr /><p style=""font-size:14px;color:#f00;"">" & Server.HTMLEncode(errorMsg) & "</p>"
	Response.Write "<hr /><p style=""color:#00f;"">Please go back and retry.</p></body></html>"
	Response.End
End Sub
'------------------------------------------------------------------------------
'UBB 代码转换（不完全，需要 RegExp 对象）--------------------------------------
Function CF_UBBCode(srcText, disableHtml)
	Dim tgtText '目标字符串
	tgtText = srcText

	'正则表达式对象，需要 WSH 5.6 以上！
	Dim objRegExp
	Set objRegExp = New RegExp
	objRegExp.IgnoreCase = True
	objRegExp.Global = True

	Dim rawHtml
	If False = disableHtml Then
		'事先提取 Raw HTML 代码
		objRegExp.Pattern = "(\[html\])((\r\n|.)*?)(\[\/html\])"
		Dim objMatches, objMatch, objSubMatches
		Set objMatches = objRegExp.Execute(tgtText)
		If objMatches.Count > 0 Then
			Set objMatch = objMatches(0) '只支持一个 HTML 标签！
			Set objSubMatches = objMatch.SubMatches
			rawHtml = objSubMatches(1) '取出 HTML 内容
			Set objSubMatches = Nothing
			Set objMatch = Nothing
		End If
		Set objMatches = Nothing
	End If

	tgtText = Server.HTMLEncode(tgtText)
	tgtText = Replace(tgtText, "  ", "&nbsp;&nbsp;")
	tgtText = Replace(tgtText, vbTab, "&nbsp;&nbsp;&nbsp;&nbsp;")
	tgtText = Replace(tgtText, vbCrLf, "<br />")
	tgtText = Replace(tgtText, "$", "&#036;") 'fix 正则表达式对于“$&”的捕获造成的文字替换错误，found @ 04.9.7

	'URL Type 1：[url]http://www.sinzy.net/[/url]
	objRegExp.Pattern = "(\[url\])(\S+?)(\[\/url\])"
	tgtText = objRegExp.Replace(tgtText, "<a href=""$2"" target=""_blank"">$2</a>")

	'URL Type 2：[url=http://www.sinzy.net/]新日网[/url]
	objRegExp.Pattern = "(\[url=(\S+?)\])(.+?)(\[\/url\])"
	tgtText = objRegExp.Replace(tgtText, "<a href=""$2"" target=""_blank"">$3</a>")

	'URL Type 2.1：不另开新页面；[url1=http://www.sinzy.net/]新日网[/url1]
	objRegExp.Pattern = "(\[url1=(\S+?)\])(.+?)(\[\/url1\])"
	tgtText = objRegExp.Replace(tgtText, "<a href=""$2"" target=""_self"">$3</a>")

	'E-mail Type 1：[email]webmaster@sinzy.net[/email]
	objRegExp.Pattern = "(\[email\])(\S+\@\S+?)(\[\/email\])"
	tgtText = objRegExp.Replace(tgtText, "<a href=""mailto:$2"">$2</a>")

	'E-mail Type 2：[email=webmaster@sinzy.net]我的邮箱[/email]
	objRegExp.Pattern = "(\[email=(\S+\@\S+?)\])(.+?)(\[\/email\])"
	tgtText = objRegExp.Replace(tgtText, "<a href=""mailto:$2"">$3</a>")

	'Images：[img]http://www.sinzy.net/Images/Logo.jpg[/img] 可自定义最大显示大小（通过 CSS 类 ubbLimitedWidth）
	objRegExp.Pattern = "(\[img\])([^javascript:]\S+?)(\[\/img\])"
	tgtText = objRegExp.Replace(tgtText, "<img class=""ubbLimitedWidth"" alt="""" src=""$2"" border=""0"" />")

	'Images（居左）：[imgl]http://www.sinzy.net/Images/Logo.jpg[/imgl] 可自定义最大显示大小（通过 CSS 类 ubbLimitedWidth）
	objRegExp.Pattern = "(\[imgl\])([^javascript:]\S+?)(\[\/imgl\])"
	tgtText = objRegExp.Replace(tgtText, "<img class=""ubbLimitedWidth"" style=""float:left;margin:0 5px 5px 0;"" alt="""" src=""$2"" border=""0"" />")

	'Images（居右）：[imgr]http://www.sinzy.net/Images/Logo.jpg[/imgr] 可自定义最大显示大小（通过 CSS 类 ubbLimitedWidth）
	objRegExp.Pattern = "(\[imgr\])([^javascript:]\S+?)(\[\/imgr\])"
	tgtText = objRegExp.Replace(tgtText, "<img class=""ubbLimitedWidth"" style=""float:right;margin:0 0 5px 5px;"" alt="""" src=""$2"" border=""0"" />")

	'斜体：[i]Italic[/i]
	objRegExp.Pattern = "(\[i\])(.+?)(\[\/i\])"
	tgtText = objRegExp.Replace(tgtText, "<em>$2</em>")

	'粗体：[b]Bold[/b]
	objRegExp.Pattern = "(\[b\])(.+?)(\[\/b\])"
	tgtText = objRegExp.Replace(tgtText, "<strong>$2</strong>")

	'下划线：[u]Italic[/u]
	objRegExp.Pattern = "(\[u\])(.+?)(\[\/u\])"
	tgtText = objRegExp.Replace(tgtText, "<u>$2</u>")

	'居中：[center]居中[/center]
	objRegExp.Pattern = "(\[center\])(.+?)(\[\/center\])"
	tgtText = objRegExp.Replace(tgtText, "<center>$2</center>")

	'颜色：[color=red]红色文字[/color]
	objRegExp.Pattern = "(\[color=(\S+?)\])(.+?)(\[\/color\])"
	tgtText = objRegExp.Replace(tgtText, "<span style=""color:$2;"">$3</span>")

	'文字背景颜色（刮刮卡）：[bgcolor=red]红色文字[/bgcolor]
	objRegExp.Pattern = "(\[bgcolor=(\S+?)\])(.+?)(\[\/bgcolor\])"
	tgtText = objRegExp.Replace(tgtText, "<span style=""background-color:$2;"">$3</span>")

	'代码：[code]code[/code]
	objRegExp.Pattern = "(\[code\])(.+?)(\[\/code\])"
	tgtText = objRegExp.Replace(tgtText, "<div style=""width:480px;overflow:auto;border:1px dashed #666;padding:5px;""><pre style=""font-family:'Courier New';"">$2</pre></div>")

	'引用：[quote]引用的文字[/quote]
	objRegExp.Pattern = "(\[quote\])(.+?)(\[\/quote\])"
	tgtText = objRegExp.Replace(tgtText, "<fieldset style=""border:1px solid #999;""><legend>引用文字</legend><blockquote style=""padding:5px;"">$2</blockquote></fieldset>")

	'Flash：[flash width=320 height=240]...[/flash]
	objRegExp.Pattern = "(\[flash width=(\d+) height=(\d+)\])(\S+?)(\[\/flash\])"
	tgtText = objRegExp.Replace(tgtText, "<object classid='clsid:D27CDB6E-AE6D-11cf-96B8-444553540000' codebase='http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,29,0' width='$2' height='$3'><param name='movie' value='$4' /><param name='quality' value='high' /><embed src='$4' quality='high' pluginspage='http://www.macromedia.com/go/getflashplayer' type='application/x-shockwave-flash' width='$2' height='$3'></embed></object>")

	'脚本：[script]脚本 URL[/script]
	objRegExp.Pattern = "(\[script\])(\S+?)(\[\/script\])"
	tgtText = objRegExp.Replace(tgtText, "<script type=""text/javascript"" src=""$2""></script>")

	'蓝色包子图片：[bb1]
	objRegExp.Pattern = "(\[bb(\d+?)\])"
	tgtText = objRegExp.Replace(tgtText, "<img alt="""" src=""Images/BB/BB$2.gif"" border=""0"" />")

	'去掉 [more] 标签
	objRegExp.Pattern = "\[more\]"
	tgtText = objRegExp.Replace(tgtText, "")

	'显示收藏到 del.icio.us 链结
	objRegExp.Pattern = "\[delicious\]"
	tgtText = objRegExp.Replace(tgtText, "<br /><div><img src='http://images.del.icio.us/static/img/delicious.small.gif' alt='del.icio.us' /> <a href=""http://del.icio.us/post"" onclick=""window.open('http://del.icio.us/post?v=4&noui&jump=close&url='+encodeURIComponent(location.href)+'&title='+encodeURIComponent(document.title),'delicious','toolbar=no,width=700,height=400');return false;"">Add to del.icio.us!</a></div>")

	If False = disableHtml Then
		objRegExp.Pattern = "(\[html\])(\r\n|.)*?(\[\/html\])"
		tgtText = objRegExp.Replace(tgtText, rawHtml)
	End If

	Set objRegExp = Nothing

	CF_UBBCode = tgtText
End Function

Function CF_HTMLEncode(src)
	Dim ret
	ret = src
	ret = Server.HTMLEncode(ret)
	ret = Replace(ret, "$", "&#036;") 'fix 正则表达式对于“$&”的捕获造成的文字替换错误，found @ 04.9.7
	CF_HTMLEncode = ret
End Function
'------------------------------------------------------------------------------
'获取当前的 URL 信息 ----------------------------------------------------------
Function CF_GetCurrentURL()
	Dim ret
	ret = Request.ServerVariables("URL")
	If Request.ServerVariables("QUERY_STRING") <> "" Then
		ret = ret & "?" & Request.ServerVariables("QUERY_STRING")
	End If
	CF_GetCurrentURL = ret
End Function

Function CF_GetCurrentFullURL() '...80 端口 only？
	Dim ret
	ret = "http://" & Request.ServerVariables("HTTP_HOST") & CF_GetCurrentVirtualDir()
	CF_GetCurrentFullURL = ret
End Function

Function CF_GetCurrentVirtualDir() '获取当前运行的虚拟目录
	Dim ret
	ret = Request.ServerVariables("PATH_INFO")
	ret = Left(ret, InStrRev(ret, "/") - 1)
	CF_GetCurrentVirtualDir = ret
End Function
'------------------------------------------------------------------------------
'获得尽可能真实的 IP 地址 -----------------------------------------------------
'REF: http://tariacuri.crefal.edu.mx/elearning/chat3/lib/get_IP.lib.php3
Function CF_GetIPAddress()
	Dim retval
	Dim simpleIPAddr, trueIPAddr
	simpleIPAddr = Request.ServerVariables("REMOTE_ADDR")

	trueIPAddr = ""
	'Use HTTP_X_FORWARDED_FOR
	If Request.ServerVariables("HTTP_X_FORWARDED_FOR") <> "" Then trueIPAddr = Request.ServerVariables("HTTP_X_FORWARDED_FOR")
	'Use HTTP_X_FORWARDED
	If "" = trueIPAddr Then
		If Request.ServerVariables("HTTP_X_FORWARDED") <> "" Then trueIPAddr = Request.ServerVariables("HTTP_X_FORWARDED")
	End If
	'Use HTTP_FORWARDED_FOR
	If "" = trueIPAddr Then
		If Request.ServerVariables("HTTP_FORWARDED_FOR") <> "" Then trueIPAddr = Request.ServerVariables("HTTP_FORWARDED_FOR")
	End If
	'Use HTTP_FORWARDED
	If "" = trueIPAddr Then
		If Request.ServerVariables("HTTP_FORWARDED") <> "" Then trueIPAddr = Request.ServerVariables("HTTP_FORWARDED")
	End If
	'使用了代理？
	Dim getProxy
	If "" = trueIPAddr Then getProxy = 0 Else getProxy = 1

	If 0 = getProxy Then
		'Use HTTP_VIA
		If Request.ServerVariables("HTTP_VIA") <> "" Then trueIPAddr = Request.ServerVariables("HTTP_VIA")
		'Use HTTP_X_COMING_FROM
		If "" = trueIPAddr Then
			If Request.ServerVariables("HTTP_X_COMING_FROM") <> "" Then trueIPAddr = Request.ServerVariables("HTTP_X_COMING_FROM")
		End If
		'Use HTTP_COMING_FROM
		If "" = trueIPAddr Then
			If Request.ServerVariables("HTTP_COMING_FROM") <> "" Then trueIPAddr = Request.ServerVariables("HTTP_COMING_FROM")
		End If
		If "" <> trueIPAddr Then getProxy = 2
	End If

	If trueIPAddr = simpleIPAddr Then getProxy = 0

	Select Case getProxy
		Case 0 'True IP without proxy
			retval = simpleIPAddr
		Case 1
			Dim objRegExp
			Set objRegExp = New RegExp
			objRegExp.IgnoreCase = True
			objRegExp.Global = True

			'校验 IP 地址格式
			objRegExp.Pattern = "^([0-9]{1,3}\.){3,3}[0-9]{1,3}"
			If objRegExp.Test(trueIPAddr) Then
				retval = trueIPAddr
			Else
				retval = "P:" & simpleIPAddr
			End If
			Set objRegExp = Nothing
		Case 2
			retval = "P:" & simpleIPAddr
	End Select

	CF_GetIPAddress = retval
End Function
'------------------------------------------------------------------------------
'操作客户端 cookies -----------------------------------------------------------
Sub CF_SetCookie(cookieKey, cookieValue)
	Dim appId
	appId = CF_GetConfigInfo("SysIdentifier")
	Response.Cookies(appId)(cookieKey) = cookieValue
End Sub

Function CF_GetCookie(cookieKey)
	Dim appId, retval
	appId = CF_GetConfigInfo("SysIdentifier")
	retval = Request.Cookies(appId)(cookieKey)
	CF_GetCookie = CStr(retval)
End Function

Sub CF_SetCookieExpirationDate(days)
	Dim appId
	appId = CF_GetConfigInfo("SysIdentifier")
	Response.Cookies(appId).Expires = DateAdd("d", days, Now())
End Sub
'------------------------------------------------------------------------------
'操作客户端 sessions ----------------------------------------------------------
Sub CF_SetSession(sessionKey, sessionValue)
	Dim appId
	appId = CF_GetConfigInfo("SysIdentifier")
	Session(appId & "_" & sessionKey) = sessionValue
End Sub

Function CF_GetSession(sessionKey)
	Dim appId, retval
	appId = CF_GetConfigInfo("SysIdentifier")
	retval = Session(appId & "_" & sessionKey)
	CF_GetSession = CStr(retval)
End Function
'------------------------------------------------------------------------------
'操作缓存 ---------------------------------------------------------------------
Sub CF_InsertIntoCache(cacheKey, cacheValue)
	Dim appId
	appId = CF_GetConfigInfo("SysIdentifier")
	Application.Lock
		Application(appId & cacheKey) = cacheValue
	Application.Unlock
End Sub

Function CF_ReadFromCache(cacheKey)
	Dim appId, retval
	appId = CF_GetConfigInfo("SysIdentifier")
	retval = Application(appId & cacheKey)
	CF_ReadFromCache = retval
End Function

Sub CF_RemoveCache(cacheKey)
	Dim appId
	appId = CF_GetConfigInfo("SysIdentifier")
	Application.Lock
'		Application(appId & cacheKey) = Null
		Application.Contents.Remove appId & cacheKey
	Application.Unlock
End Sub
'------------------------------------------------------------------------------
'显示截断的长字符串 -----------------------------------------------------------
Function CF_ShowShortString(src, charLen)
	Dim ret
	If Len(src) > charLen Then
		ret = Left(src, charLen) & "..."
	Else
		ret = src
	End If
	CF_ShowShortString = ret
End Function
'------------------------------------------------------------------------------
'URL 编码后的解码 -------------------------------------------------------------
Function CF_URLDecode(str)
	Dim i, sT, sR
	str = Replace(str, "+", " ")
	For i = 1 To Len(str)
		sT = Mid(str, i, 1)
		If sT = "%" Then
			If i + 2 < Len(str) Then
				sR = sR & Chr(CLng("&H" & Mid(str, i + 1, 2)))
				i = i + 2
			End If
		Else
			sR = sR & sT
		End If
	Next
	CF_URLDecode = sR
End Function
'------------------------------------------------------------------------------
'HTML 编码后的解码 ------------------------------------------------------------
Function CF_HTMLDecode(str)
	Dim tmp, i
	tmp = str
	tmp = Replace(tmp, "&quot;", Chr(34)) '"
	tmp = Replace(tmp, "&lt;", Chr(60)) '<
	tmp = Replace(tmp, "&gt;", Chr(62)) '>
	tmp = Replace(tmp, "&amp;", Chr(38)) '&
	tmp = Replace(tmp, "&nbsp;", Chr(32)) '
	For i = 1 to 255
		tmp = Replace(tmp, "&#" & i & ";", Chr(i))
	Next
	CF_HTMLDecode = tmp
End Function
'------------------------------------------------------------------------------
'首页帖子的截短显示，配合 UBB 标签 [MORE] -------------------------------------
Function CF_MoreMode(content, bloggerId, entryId)
	Dim rv, pos
	rv = content
	pos = InStr(LCase(rv), "[more]")
	If pos > 0 Then
		rv = Left(rv, pos - 1)
		rv = rv & vbCrLf & "[URL1=Read.asp?ID=" & CStr(bloggerId) & "&BID=" & CStr(entryId) & "][COLOR=#00c]继续阅读全文...[/COLOR][/URL1]"
	End If
	CF_MoreMode = rv
End Function
'------------------------------------------------------------------------------
'给空格分隔的网志 Tag 文本加上相应的链结 --------------------------------------
Function CF_BuildTagFaceLinks(tagString, bloggerId)
	Dim ret
	If "" = tagString Then
		ret = ""
	Else
		Dim tags, i
		tags = Split(tagString, " ")
		For i = 0 To UBound(tags)
			ret = ret + "<a href='TagList.asp?ID=" & CStr(bloggerId) & "&amp;Tag=" & Server.URLEncode(tags(i)) & "'>" & Server.HTMLEncode(tags(i)) & "</a> "
		Next
	End If
	CF_BuildTagFaceLinks = ret
End Function
'------------------------------------------------------------------------------
%>
