<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="Components/ConfigInfo.asp" -->
<!-- #Include File="Components/CommonFunctions.asp" -->
<!-- #Include File="Helpers/SystemEnabled.asp" -->
<!-- #Include File="Components/CDataOperator.asp" -->
<!-- #Include File="Components/CEnDec.asp" -->
<!-- #Include File="Components/CBloggersDB.asp" -->
<!-- #Include File="Components/CPageBuilder.asp" -->
<%
'HTTP GET/POST 参数检查
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then bloggerId = Request.Form("hidBloggerID") '提交后
If "" = bloggerId Then CF_StopError "缺少参数：ID"
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)
%>
<!-- #Include File="Components/CommonCodes.asp" -->
<%
'好友密码输入提交后
If StrComp(Request.Form("hidIsPostBack"), "yEs") = 0 Then
	Dim loginResult
	loginResult = oBloggers.FriendLogin(bloggerId, Request.Form("txtFriendPwd"))
	Set oBloggers = Nothing

	Select Case loginResult
		Case "[LOGIN_OK]"
			Response.Redirect "Blog.asp?ID=" & CStr(bloggerId)
		Case "[LOGIN_PWDERROR]"
			CF_StopError "你输入的好友密码不正确！"
		Case "[LOGIN_NOUSER]"
			CF_StopError "参数错误！"
		Case Else
			'Do nothing...
	End Select
End If

'建立 PageBuilder 对象
Dim oBuilder
Set oBuilder = New PageBuilder
oBuilder.TemplateFile = Server.MapPath("Skins") & "\" & arrThisBlogBasicInfo(7) & "\FriendLogin.html"

oBuilder.Slot("n_BlogTitle") = CF_HTMLEncode(arrThisBlogBasicInfo(1))
oBuilder.Slot("n_BlogOwnerName") = CF_HTMLEncode(arrThisBlogBasicInfo(0))
oBuilder.Slot("n_BlogIntro") = CF_HTMLEncode("" & arrThisBlogBasicInfo(2))
oBuilder.Slot("n_BloggerID") = CStr(bloggerId)
oBuilder.Slot("n_BlogAnnouncement") = CF_UBBCode("" & arrThisBlogBasicInfo(6), False)
oBuilder.Slot("n_BlogEntryNum") = arrThisBlogBasicInfo(3)
oBuilder.Slot("n_BlogCommentNum") = arrThisBlogBasicInfo(4)
oBuilder.Slot("n_BlogSkin") = "Skins/" & arrThisBlogBasicInfo(7) & "/"
oBuilder.Slot("n_Version") = CF_GetConfigInfo("Version")

oBuilder.UpdateSlots

Dim responseText
responseText = oBuilder.FinalOutput()

'释放资源
Set oBloggers = Nothing
Set oBuilder = Nothing
If Not IsNull(arrThisBlogBasicInfo) Then Erase arrThisBlogBasicInfo

'输出页面
Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
Response.Write responseText
%>
