﻿<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="Components/ConfigInfo.asp" -->
<!-- #Include File="Components/CommonFunctions.asp" -->
<!-- #Include File="Helpers/SystemEnabled.asp" -->
<!-- #Include File="Components/CDataOperator.asp" -->
<!-- #Include File="Components/CEnDec.asp" -->
<!-- #Include File="Components/CBloggersDB.asp" -->
<%
'北京时间转换为 GMT 时间-------------------------------------------------------
Function CST2GMT(cstDateTime)
	If Not IsDate(cstDateTime) Then
		Err.Raise vbObjectError + 1000, "CST2GMT", "参数错误：cstDateTime"
	End If

	'Wed, 31 Dec 2003 06:45:00 GMT
	Dim gmtDateTime, gmtWeekDay, gmtDay, gmtMonth, gmtYear, gmtTime, retval
	gmtDateTime = DateAdd("h", -8, cstDateTime) '北京时间减8小时
	gmtWeekDay = GetWeekdayName(Weekday(gmtDateTime))
	gmtDay = Day(gmtDateTime)
	gmtMonth = GetMonthName(Month(gmtDateTime))
	gmtYear = Year(gmtDateTime)
	gmtTime = FormatDateTime(gmtDateTime, vbShortTime)

	retval = gmtWeekDay & ", " & gmtDay & " " & gmtMonth & " " & gmtYear & " " & gmtTime & ":00 GMT"
	CST2GMT = retval
End Function

Function GetWeekdayName(weekdayIn)
	Dim retval
	Select Case weekdayIn
		Case 1
			retval = "Sun"
		Case 2
			retval = "Mon"
		Case 3
			retval = "Tue"
		Case 4
			retval = "Wed"
		Case 5
			retval = "Thu"
		Case 6
			retval = "Fri"
		Case 7
			retval = "Sat"
		Case Else
			Err.Raise vbObjectError + 1000, "CST2GMT", "参数错误：weekdayIn"
	End Select

	GetWeekdayName = retval
End Function

Function GetMonthName(monthIn)
	Dim retval
	Select Case monthIn
		Case 1
			retval = "Jan"
		Case 2
			retval = "Feb"
		Case 3
			retval = "Mar"
		Case 4
			retval = "Apr"
		Case 5
			retval = "May"
		Case 6
			retval = "Jun"
		Case 7
			retval = "Jul"
		Case 8
			retval = "Aug"
		Case 9
			retval = "Sep"
		Case 10
			retval = "Oct"
		Case 11
			retval = "Nov"
		Case 12
			retval = "Dec"
		Case Else
			Err.Raise vbObjectError + 1000, "CST2GMT", "参数错误：weekdayIn"
	End Select

	GetMonthName = retval
End Function
'------------------------------------------------------------------------------

Dim g_retVal
g_retVal = "<?xml version=""1.0"" encoding=""utf-8""?>"

Dim hasError
hasError = False

'数据源连接字符串
Dim mainDataConnectionString
mainDataConnectionString = CF_GetConfigInfo("DCSDataSourceString") & Server.MapPath("Database") & "\" & CF_GetConfigInfo("DCSDatabaseFileName")

'BloggersDB 的实例（废话！）
Dim oBloggers
Set oBloggers = New BloggersDB
oBloggers.DataConnectionString = mainDataConnectionString

If hasError Then
	g_retVal = g_retVal & "<Msg>发生错误！</Msg>"
Else
	'生成 RSS 2.0 的 XML 字符串
	g_retVal = g_retVal & "<rss version=""2.0""><channel>"
	g_retVal = g_retVal & "<title>" & CI_SITE_TITLE & " 最新网志</title>" 'title
	g_retVal = g_retVal & "<link>http://www.sinzy.net/Blog/LatestRSS.asp</link>" 'link
	g_retVal = g_retVal & "<description>Read the latest...</description>" 'description
	g_retVal = g_retVal & "<language>zh-CN</language>" 'language

	Dim blogInfo
	blogInfo = oBloggers.GetLatestEntries4RSS(7)

	If Not IsNull(blogInfo) Then
		Dim r
		Dim blogInfoCount
		blogInfoCount = UBound(blogInfo, 2)
		For r = 0 To blogInfoCount
			g_retVal = g_retVal & "<item>"
			g_retVal = g_retVal & "<title>" & Server.HTMLEncode(blogInfo(4, r)) & "</title>" 'title
			g_retVal = g_retVal & "<link>http://" & Request.ServerVariables("HTTP_HOST") & CF_GetCurrentVirtualDir() & "/Read.asp?ID=" & CStr(blogInfo(1, r)) & "&amp;BID=" & CStr(blogInfo(0, r)) & "</link>" 'link
			g_retVal = g_retVal & "<pubDate>" & CST2GMT(blogInfo(2, r)) & "</pubDate>" 'pubDate
			g_retVal = g_retVal & "<author>" & Server.HTMLEncode(blogInfo(3, r)) & "</author>" 'author
			g_retVal = g_retVal & "<description>" & Server.HTMLEncode(CF_UBBCode(blogInfo(6, r), False)) & "</description>" 'description
			g_retVal = g_retVal & "<comments>http://" & Request.ServerVariables("HTTP_HOST") & CF_GetCurrentVirtualDir() & "/Read.asp?ID=" & CStr(blogInfo(1, r)) & "&amp;BID=" & CStr(blogInfo(0, r)) & "#Feedback</comments>" 'comments
			g_retVal = g_retVal & "</item>"
		Next
	End If

	g_retVal = g_retVal & "</channel></rss>"
	Set oBloggers = Nothing
End If

Session.CodePage = 65001
Response.ContentType = "text/xml; charset=utf-8" '输出 XML 内容
Response.Write g_retVal
%>
