<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="Components/ConfigInfo.asp" -->
<!-- #Include File="Components/CommonFunctions.asp" -->
<!-- #Include File="Helpers/SystemEnabled.asp" -->
<!-- #Include File="Components/CDataOperator.asp" -->
<!-- #Include File="Components/CEnDec.asp" -->
<!-- #Include File="Components/CBloggersDB.asp" -->
<!-- #Include File="Components/CPageBuilder.asp" -->
<%
'HTTP GET 参数检查
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then bloggerId = "1" '呵呵，ID 值缺省的话就显示我的 Blog～
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)

Dim acvYear, acvMonth, testDate
acvYear = Request.QueryString("Year")
acvMonth = Request.QueryString("Month")
testDate = acvYear & "-" & acvMonth & "-1" '检测年月是否合法
If Not IsDate(testDate) Then CF_StopError "参数错误：Year 或 Month，不是合法年月格式"
%>
<!-- #Include File="Components/CommonCodes.asp" -->
<%
'网志分类
Dim arrBlogCustomCates
arrBlogCustomCates = CF_ReadFromCache("BlogCustomCategoryList_" & CStr(bloggerId))
If Not IsArray(arrBlogCustomCates) Then
	arrBlogCustomCates = oBloggers.GetBlogCustomCategoryList(bloggerId)
	CF_InsertIntoCache "BlogCustomCategoryList_" & CStr(bloggerId), arrBlogCustomCates
End If

'网志档案
Dim arrArchives
arrArchives = CF_ReadFromCache("BlogArchives_" & CStr(bloggerId))
If Not IsArray(arrArchives) Then
	arrArchives = oBloggers.GetBlogArchivesList(bloggerId)
	CF_InsertIntoCache "BlogArchives_" & CStr(bloggerId), arrArchives
End If

'当前月份的名称
Dim currentMonth
currentMonth = acvYear & "年" & acvMonth & "月"

'获取指定月的网志列表
Dim arrMonthBlogs
arrMonthBlogs = oBloggers.GetBlogListByMonth(bloggerId, acvYear, acvMonth)

'处理对应 Repeater 的数组值（HTMLEncode/UBBCode...）
Dim cr

If Not IsNull(arrBlogCustomCates) Then
	Dim arrBlogCustomCatesCount
	arrBlogCustomCatesCount = UBound(arrBlogCustomCates, 2)
	For cr = 0 To arrBlogCustomCatesCount
		arrBlogCustomCates(1, cr) = CF_HTMLEncode(arrBlogCustomCates(1, cr))
	Next
End If

If Not IsNull(arrMonthBlogs) Then
	Dim arrMonthBlogsCount
	arrMonthBlogsCount = UBound(arrMonthBlogs, 2)
	For cr = 0 To arrMonthBlogsCount
		If (CBool(arrMonthBlogs(5, cr)) = False) And (Not bIsOwner) And (Not bCanViewSecret) Then
			arrMonthBlogs(2, cr) = "<span style='color:#999;'>保密网志</span>"
			arrMonthBlogs(4, cr) = ""
			arrMonthBlogs(10, cr) = ""
		Else
			arrMonthBlogs(2, cr) = CF_HTMLEncode(arrMonthBlogs(2, cr))
			arrMonthBlogs(4, cr) = CF_HTMLEncode(CF_ShowShortString(arrMonthBlogs(4, cr), 100))
			arrMonthBlogs(10, cr) = CF_BuildTagFaceLinks(arrMonthBlogs(10, cr), bloggerId)
		End If
		If bIsOwner Then arrMonthBlogs(9, cr) = " <a href='UserMgmt/EditPost.asp?ID=" & CStr(bloggerId) & "&amp;BID=" & arrMonthBlogs(0, cr) & "&amp;RU=" & Server.URLEncode(CF_GetCurrentURL()) & "' style='color:#f00;font-size:11px;'>Edit</a>" Else arrMonthBlogs(9, cr) = ""
	Next
End If

'建立 PageBuilder 对象
Dim oBuilder
Set oBuilder = New PageBuilder
oBuilder.TemplateFile = Server.MapPath("Skins") & "\" & arrThisBlogBasicInfo(7) & "\BlogArchives.html"

oBuilder.Slot("n_BlogTitle") = CF_HTMLEncode(arrThisBlogBasicInfo(1))
oBuilder.Slot("n_BlogOwnerName") = CF_HTMLEncode(arrThisBlogBasicInfo(0))
oBuilder.Slot("n_BlogIntro") = CF_HTMLEncode("" & arrThisBlogBasicInfo(2))
oBuilder.Slot("n_BloggerID") = CStr(bloggerId)
oBuilder.Slot("n_BlogAnnouncement") = CF_UBBCode("" & arrThisBlogBasicInfo(6), False)
oBuilder.Slot("n_BlogEntryNum") = arrThisBlogBasicInfo(3)
oBuilder.Slot("n_BlogCommentNum") = arrThisBlogBasicInfo(4)
oBuilder.Slot("n_BlogSkin") = "Skins/" & arrThisBlogBasicInfo(7) & "/"
oBuilder.Slot("n_BlogListMonthName") = currentMonth
oBuilder.Slot("n_Version") = CF_GetConfigInfo("Version")

oBuilder.UpdateSlots

oBuilder.RepeaterDataSource("rptBlogCustomCates") = arrBlogCustomCates
oBuilder.RepeaterDataSource("rptBlogArchives") = arrArchives
oBuilder.RepeaterDataSource("rptBlogsByMonth") = arrMonthBlogs

Dim responseText
responseText = oBuilder.FinalOutput()

'释放资源
Set oBloggers = Nothing
Set oBuilder = Nothing
If Not IsNull(arrThisBlogBasicInfo) Then Erase arrThisBlogBasicInfo
If Not IsNull(arrBlogCustomCates) Then Erase arrBlogCustomCates
If Not IsNull(arrArchives) Then Erase arrArchives
If Not IsNull(arrMonthBlogs) Then Erase arrMonthBlogs

'输出页面
Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
Response.Write responseText
%>
