<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="Components/ConfigInfo.asp" -->
<!-- #Include File="Components/CommonFunctions.asp" -->
<!-- #Include File="Helpers/SystemEnabled.asp" -->
<!-- #Include File="Components/CDataOperator.asp" -->
<!-- #Include File="Components/CEnDec.asp" -->
<!-- #Include File="Components/CBloggersDB.asp" -->
<!-- #Include File="Components/CTagsDB.asp" -->
<!-- #Include File="Components/CPageBuilder.asp" -->
<%
'HTTP GET 参数检查
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then bloggerId = Request.Form("hidBloggerID") '查询提交后
If "" = bloggerId Then CF_StopError "缺少参数：ID"
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)

Dim tagQuery 'Tag 检索条件
tagQuery = Request.QueryString("Tag")
If "" <> tagQuery Then
	tagQuery = CF_URLDecode(tagQuery)
End If
%>
<!-- #Include File="Components/CommonCodes.asp" -->
<%
'Tag 检索提交后
If 0 = StrComp(Request.Form("hidIsPostBack"), "yEs") Then
	tagQuery = Trim(Request.Form("txtTagQuery"))
	'Server 端合法性校验
	'...
	'查询条件的处理
	tagQuery = Replace(tagQuery, " ", "+") '将空格当做“与”
End If

'Tags 相关操作对象
Dim oTagsDb
Set oTagsDb = New TagsDB
oTagsDb.DataConnectionString = mainDataConnectionString
oTagsDb.CurrentBloggerID = bloggerId

'获得符合 Tag 检索条件的网志
Dim arrTagEntries
If tagQuery <> "" Then '空字符串不予理会
	arrTagEntries = oTagsDb.GetEntriesByTag(tagQuery, False)
End If

'获得 Tag 列表
Dim arrTagList
arrTagList = oTagsDb.GetTagList(False) '当前用户的

Set oTagsDb = Nothing

'处理对应 Repeater 的数组值（HTMLEncode/UBBCode...）
Dim cr

If IsArray(arrTagEntries) Then
	Dim arrTagEntriesCount
	arrTagEntriesCount = UBound(arrTagEntries, 2)
	For cr = 0 To arrTagEntriesCount
		If (0 = arrTagEntries(5, cr)) And (Not bIsOwner) And (Not bCanViewSecret) Then
			arrTagEntries(2, cr) = "<span style='color:#999;'>保密网志</span>"
			arrTagEntries(4, cr) = ""
			arrTagEntries(8, cr) = ""
		Else
			arrTagEntries(2, cr) = CF_HTMLEncode(arrTagEntries(2, cr))
			arrTagEntries(4, cr) = CF_HTMLEncode(CF_ShowShortString(arrTagEntries(4, cr), 100))
			arrTagEntries(8, cr) = CF_BuildTagFaceLinks(arrTagEntries(8, cr), bloggerId)
		End If
		If bIsOwner Then arrTagEntries(7, cr) = " <a href='UserMgmt/EditPost.asp?ID=" & CStr(bloggerId) & "&amp;BID=" & arrTagEntries(0, cr) & "&amp;RU=" & Server.URLEncode(CF_GetCurrentURL()) & "' style='color:#f00;font-size:11px;'>Edit</a>" Else arrTagEntries(7, cr) = ""
	Next
End If

If Not IsNull(arrTagList) Then
	Dim arrTagListCount
	arrTagListCount = UBound(arrTagList, 2)
	For cr = 0 To arrTagListCount
		arrTagList(2, cr) = bloggerId
	Next
End If

'建立 PageBuilder 对象
Dim oBuilder
Set oBuilder = New PageBuilder
oBuilder.TemplateFile = Server.MapPath("Skins") & "\" & arrThisBlogBasicInfo(7) & "\TagList.html"

oBuilder.Slot("n_BlogTitle") = CF_HTMLEncode(arrThisBlogBasicInfo(1))
oBuilder.Slot("n_BlogOwnerName") = CF_HTMLEncode(arrThisBlogBasicInfo(0))
oBuilder.Slot("n_BlogIntro") = CF_HTMLEncode("" & arrThisBlogBasicInfo(2))
oBuilder.Slot("n_BloggerID") = CStr(bloggerId)
oBuilder.Slot("n_BlogAnnouncement") = CF_UBBCode("" & arrThisBlogBasicInfo(6), False)
oBuilder.Slot("n_BlogEntryNum") = arrThisBlogBasicInfo(3)
oBuilder.Slot("n_BlogCommentNum") = arrThisBlogBasicInfo(4)
oBuilder.Slot("n_BlogSkin") = "Skins/" & arrThisBlogBasicInfo(7) & "/"
oBuilder.Slot("n_BlogTags") = CF_HTMLEncode(tagQuery)
oBuilder.Slot("n_Version") = CF_GetConfigInfo("Version")

oBuilder.UpdateSlots

oBuilder.RepeaterDataSource("rptBlogsByTag") = arrTagEntries
oBuilder.RepeaterDataSource("rptBlogTags") = arrTagList

Dim responseText
responseText = oBuilder.FinalOutput()

'释放资源
Set oBloggers = Nothing
Set oBuilder = Nothing
If Not IsNull(arrThisBlogBasicInfo) Then Erase arrThisBlogBasicInfo
If Not IsNull(arrTagEntries) Then Erase arrTagEntries
If Not IsNull(arrTagList) Then Erase arrTagList

'输出页面
Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
Response.Write responseText
%>
