<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="../Components/ConfigInfo.asp" -->
<!-- #Include File="../Components/CommonFunctions.asp" -->
<!-- #Include File="../Helpers/SystemEnabled.asp" -->
<!-- #Include File="../Components/CDataOperator.asp" -->
<!-- #Include File="../Components/CEnDec.asp" -->
<!-- #Include File="../Components/CBloggersDB.asp" -->
<!-- #Include File="../Components/CPrivateMessagesDB.asp" -->
<!-- #Include File="../Components/CCategoriesDB.asp" -->
<%
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then bloggerId = Request.Form("hidBloggerID")
If "" = bloggerId Then CF_StopError "参数缺少：ID"
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)
%>
<!-- #Include File="../Components/CommonCodes4Mgmt.asp" -->
<%
'分类数据库操作对象
Dim oCates
Set oCates = New CategoriesDB
oCates.DataConnectionString = mainDataConnectionString
oCates.CurrentBloggerID = bloggerId

'添加分类
If StrComp(Request.Form("hidIsPostBackAdd"), "yEs") = 0 Then
	Dim addCateTitle, addCateDesc
	addCateTitle = Request.Form("txtCateNameAdd")
	addCateDesc = Request.Form("txtCateDescAdd")
	'合法性校验
	If "" = addCateTitle Then
		Set oBloggers = Nothing : Set oCates = Nothing
		CF_StopError "分类名不能为空！"
	End If

	oCates.AddCategory addCateTitle, addCateDesc
	CF_RemoveCache "BlogCustomCategoryList_" & CStr(bloggerId)

	Set oBloggers = Nothing : Set oCates = Nothing
	Response.Redirect "EditCategories.asp?ID=" & CStr(bloggerId)
End If

'修改/删除分类
Dim act, oriCateId, oriCateTitle, oriCateDesc
act = Request.QueryString("A")
oriCateId = 0
oriCateTitle = ""
oriCateDesc = ""

'修改提交后
If StrComp(Request.Form("hidIsPostBackMod"), "yEs") = 0 Then
	'检查参数
	oriCateId = Request.Form("hidOriCateID")
	If "" = oriCateId Then
		Set oBloggers = Nothing : Set oCates = Nothing
		CF_StopError "参数不足：CateID"
	End If
	If Not IsNumeric(oriCateId) Then
		Set oBloggers = Nothing : Set oCates = Nothing
		CF_StopError "参数错误：CateID"
	End If
	oriCateId = CLng(oriCateId)

	Dim newCateTitle, newCateDesc
	newCateTitle = Request.Form("txtCateNameMod")
	newCateDesc = Request.Form("txtCateDescMod")
	'合法性校验
	If "" = newCateTitle Then
		Set oBloggers = Nothing : Set oCates = Nothing
		CF_StopError "分类名不能为空！"
	End If

	oCates.ModifyCategory oriCateId, newCateTitle, newCateDesc
	CF_RemoveCache "BlogCustomCategoryList_" & CStr(bloggerId)
	CF_RemoveCache "BlogTopEntries_" & CStr(bloggerId)

	Set oBloggers = Nothing : Set oCates = Nothing
	Response.Redirect "EditCategories.asp?ID=" & CStr(bloggerId)
End If

If StrComp(act, "M") = 0 Then
	oriCateId = Request.QueryString("CateID")
	If "" = oriCateId Then
		Set oBloggers = Nothing : Set oCates = Nothing
		CF_StopError "参数不足：CateID"
	End If
	If Not IsNumeric(oriCateId) Then
		Set oBloggers = Nothing : Set oCates = Nothing
		CF_StopError "参数错误：CateID"
	End If
	oriCateId = CLng(oriCateId)

	oriCateTitle = oCates.GetCategoryName(oriCateId)
	oriCateDesc = oCates.GetCategoryDescription(oriCateId)
End If

If StrComp(act, "D") = 0 Then
	oriCateId = Request.QueryString("CateID")
	If "" = oriCateId Then
		Set oBloggers = Nothing : Set oCates = Nothing
		CF_StopError "参数不足：CateID"
	End If
	If Not IsNumeric(oriCateId) Then
		Set oBloggers = Nothing : Set oCates = Nothing
		CF_StopError "参数错误：CateID"
	End If
	oriCateId = CLng(oriCateId)

	oCates.DeleteCategory oriCateId
	CF_RemoveCache "BlogCustomCategoryList_" & CStr(bloggerId)
	CF_RemoveCache "BlogTopEntries_" & CStr(bloggerId)

	Set oBloggers = Nothing : Set oCates = Nothing
	Response.Redirect "EditCategories.asp?ID=" & CStr(bloggerId)
End If

'取得自定义分类列表
Dim cateList
cateList = CF_ReadFromCache("BlogCustomCategoryList_" & CStr(bloggerId))
If Not IsArray(cateList) Then
	cateList = oBloggers.GetBlogCustomCategoryList(bloggerId)
	CF_InsertIntoCache "BlogCustomCategoryList_" & CStr(bloggerId), cateList
End If

Set oBloggers = Nothing
Set oCates = Nothing

Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>nirvana 用户后台管理 - 编辑自定义网志分类</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="UserMgmt.css" />
<script type="text/javascript" language="JavaScript" src="UserMgmt.js"></script>
</head>
<body>
<div id="wrapper">
<div id="header">
	<h1><% = Server.HTMLEncode(arrThisBlogBasicInfo(1)) %><span id="owner"> - <% = Server.HTMLEncode(arrThisBlogBasicInfo(0)) %></span></h1>
	<h2><% = Server.HTMLEncode("" & arrThisBlogBasicInfo(2)) %>&nbsp;</h2>
</div>
<div id="tabHeader">
	<ul id="tabs">
		<li><a href="default.asp?ID=<% = CStr(bloggerId) %>">开始</a></li>
		<li><a href="PostsMgmt.asp?ID=<% = CStr(bloggerId) %>">网志发表/管理</a></li>
		<li><a href="CommentsMgmt.asp?ID=<% = CStr(bloggerId) %>">评论审核</a></li>
		<li><a href="EditCategories.asp?ID=<% = CStr(bloggerId) %>" id="currentTab">网志分类</a></li>
		<li><a href="EditLinks.asp?ID=<% = CStr(bloggerId) %>">友情链结</a></li>
		<li><a href="PrivateMsgs.asp?ID=<% = CStr(bloggerId) %>">悄悄话（<% = CStr(pmCount(0)) %>/<span class="new"><% = CStr(pmCount(1)) %></span>）</a></li>
		<li><a href="ModRegInfo.asp?ID=<% = CStr(bloggerId) %>">个性化设置</a></li>
		<li><a href="../Blog.asp?ID=<% = CStr(bloggerId) %>" class="return">返回 Blog 首页</a></li>
		<li><a href="UserLogout.asp?ID=<% = CStr(bloggerId) %>" class="return">Logout</a></li>
	</ul>
</div>
<div id="tabBody">
	<div id="side">
	</div>
	<div id="content">
		<dl>
			<dt>新建分类</dt>
			<dd>
				<form action="EditCategories.asp" id="AddCateForm" name="AddCateForm" method="post" onsubmit="return ValidFormCateAdd();">
					分类名称：<input type="text" id="txtCateNameAdd" name="txtCateNameAdd" class="textBox" size="16" maxlength="32" />（32 字以内）
					<p></p>
					分类简介：<input type="text" id="txtCateDescAdd" name="txtCateDescAdd" class="textBox" size="50" maxlength="200" />
					<input type="submit" id="btnPostAdd" name="btnPostAdd" class="button" value="添加" />
					<input type="hidden" id="hidIsPostBackAdd" name="hidIsPostBackAdd" value="yEs" />
					<input type="hidden" id="hidBloggerIDAdd" name="hidBloggerID" value="<% = CStr(bloggerId) %>" />
				</form>
			</dd>
		</dl>
		<dl>
			<dt>现有分类列表</dt>
			<dd>
				<table width="100%" border="0">
<%
If Not IsNull(cateList) Then
	Dim r
	For r = 0 To UBound(cateList, 2)
%>
					<tr>
						<td width="60%"><% = Server.HTMLEncode(cateList(1, r)) %><div class="cateDesc"><% = Server.HTMLEncode(cateList(3, r) & "") %></div></td>
						<td width="20%" align="center">[<a href="EditCategories.asp?ID=<% = CStr(bloggerId) %>&amp;A=M&amp;CateID=<% = cateList(0, r) %>#M">修改</a>]</td>
						<td align="center">[<a href="EditCategories.asp?ID=<% = CStr(bloggerId) %>&amp;A=D&amp;CateID=<% = cateList(0, r) %>" onclick="return confirm('确定要删除该分类？');">删除</a>]</td>
					</tr>
<%
	Next
End If
%>
				</table>
			</dd>
		</dl>
		<dl class="EditLinksModule">
			<dt><a name="M"></a>修改分类</dt>
			<dd>
				<form id="ModCateForm" name="ModCateForm" action="EditCategories.asp" method="post" onsubmit="return ValidFormCateMod();">
					分类名称：<input type="text" id="txtCateNameMod" name="txtCateNameMod" class="textBox" size="16" maxlength="32" value="<% = Server.HTMLEncode(oriCateTitle) %>"<% If "M" <> act Then %> disabled="disabled"<% End If %> />（32 字以内）
					<p></p>
					分类简介：<input type="text" id="txtCateDescMod" name="txtCateDescMod" class="textBox" size="50" maxlength="200" value="<% = Server.HTMLEncode(oriCateDesc) %>"<% If "M" <> act Then %> disabled="disabled"<% End If %> />
					<input type="submit" id="btnPostMod" name="btnPostMod" class="button" value="修改"<% If "M" <> act Then %> disabled="disabled"<% End If %> />
					<input type="hidden" id="hidIsPoatBackMod" name="hidIsPostBackMod" value="yEs" />
					<input type="hidden" id="hidBloggerIDMod" name="hidBloggerID" value="<% = CStr(bloggerId) %>" />
					<input type="hidden" id="hidOriCateID" name="hidOriCateID" value="<% = CStr(oriCateId) %>" />
				</form>
			</dd>
		</dl>
	</div>
	<div class="z"></div>
</div>
<!-- #Include File="../Components/Footer.asp" -->
</div>
</body>
</html>
