<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="../Components/ConfigInfo.asp" -->
<!-- #Include File="../Components/CommonFunctions.asp" -->
<!-- #Include File="../Helpers/SystemEnabled.asp" -->
<!-- #Include File="../Components/CDataOperator.asp" -->
<!-- #Include File="../Components/CEnDec.asp" -->
<!-- #Include File="../Components/CBloggersDB.asp" -->
<!-- #Include File="../Components/CPrivateMessagesDB.asp" -->
<!-- #Include File="../Components/CBlogsDB.asp" -->
<!-- #Include File="../Components/CTagsDB.asp" -->
<%
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then bloggerId = Request.Form("hidBloggerID")
If "" = bloggerId Then CF_StopError "参数缺少：ID"
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)

Dim blogId
blogId = Request.QueryString("BID")
If "" = blogId Then blogId = Request.Form("hidBlogID")
If "" = blogId Then blogId = "0" '用 0 来代表发表新帖
If Not IsNumeric(blogId) Then CF_StopError "参数错误：BID"
blogId = CLng(blogId)

Dim returnUrl
returnUrl = Request.QueryString("RU")
If "" = returnUrl Then returnUrl = Request.Form("hidReturnUrl")
%>
<!-- #Include File="../Components/CommonCodes4Mgmt.asp" -->
<%
'建立 BlogsDB 对象
Dim oBlogs
Set oBlogs = New BlogsDB
oBlogs.DataConnectionString = mainDataConnectionString
oBlogs.CurrentBloggerID = bloggerId

'获得当前指定的 Blog 信息
Dim arrCurrentEntryInfo, oThisEntry
If blogId > 0 Then
	Set oThisEntry = oBlogs.GetBlogEntry(blogId)
Else
	Set oThisEntry = New BlogInfo
End If
ReDim arrCurrentEntryInfo(6)
arrCurrentEntryInfo(0) = oThisEntry.Title
arrCurrentEntryInfo(1) = oThisEntry.Expression
arrCurrentEntryInfo(2) = oThisEntry.Content
arrCurrentEntryInfo(3) = oThisEntry.PostState
arrCurrentEntryInfo(4) = oThisEntry.CategoryID
arrCurrentEntryInfo(5) = oThisEntry.AllowComment
arrCurrentEntryInfo(6) = oThisEntry.Tags
Set oThisEntry = Nothing

'Tags 相关操作对象
Dim oTagsDb
Set oTagsDb = New TagsDB
oTagsDb.DataConnectionString = mainDataConnectionString
oTagsDb.CurrentBloggerID = bloggerId

'清理 Tag 字符串内容的函数，防止分隔空格多余一个
Function PurgeTags(tagStr)
	Dim t, u, i
	t = Split(tagStr, " ")
	u = ""
	For i = 0 To UBound(t)
		If Len(t(i)) > 0 Then u = u & t(i) & " "
	Next
	PurgeTags = Trim(u)
End Function

'提交后……
If StrComp(Request.Form("hidIsPostBack"), "yEs") = 0 Then
	Dim title, expression, content, fromIP, postState, cateId, allowComment, tags
	title = Request.Form("txtTitle")
	content = Request.Form("txtContent")
	'合法性验证
	If "" = title Or "" = content Then
		Set oBlogs = Nothing
		Set oBloggers = Nothing
		CF_StopError "标题和内容不能为空！"
	End If
	expression = Request.Form("rdoExpression")
'	fromIP = CF_GetIPAddress()
	fromIP = Request.ServerVariables("REMOTE_ADDR")
	postState = CInt(Request.Form("rdoState"))
	cateId = CLng(Request.Form("selCategory"))
	allowComment = Request.Form("chkAllowComment")
	If "No" = allowComment Then allowComment = False Else allowComment = True
	tags = PurgeTags(Trim(Request.Form("txtTags")))

	Dim oEntry
	Set oEntry = New BlogInfo
	oEntry.Title = title : oEntry.Expression = expression : oEntry.Content = content
	oEntry.FromIP = fromIP : oEntry.PostState = postState : oEntry.CategoryID = cateId : oEntry.AllowComment = allowComment
	oEntry.Tags = tags

	If blogId > 0 Then '更新
		oEntry.BlogID = blogId
		oBlogs.UpdateBlogEntry oEntry
		Dim oldTags '只有 Tag(s) 改变，才更新 Tag 数据表
		oldTags = Request.Form("hidOldTags")
		If oldTags <> tags Then
			oTagsDb.UpdateTags tags, blogId
		End If
		CF_RemoveCache "BlogBasicInfo_" & CStr(bloggerId) '因为可能变更状态为“草稿”，会影响网志计数
		CF_RemoveCache "BlogTopEntries_" & CStr(bloggerId)
		CF_RemoveCache "AllBloggerList"
		CF_RemoveCache "LatestEntries"
		CF_RemoveCache "BlogArchives_" & CStr(bloggerId)
		CF_RemoveCache "BlogRecentCommentList_" & CStr(bloggerId)
		CF_RemoveCache "BlogTags_" & CStr(bloggerId)
		CF_RemoveCache "BlogTagCloud_" & CStr(bloggerId)
		CF_RemoveCache "AllTagCloud"
	Else '新增
		oEntry.AuthorName = arrThisBlogBasicInfo(0)
		oEntry.AuthorID = bloggerId '其实要不要这个无所谓了，冗余字段
		oBlogs.AddBlogEntry oEntry
		If tags <> "" Then
			oTagsDb.AddTags tags, oBlogs.GetLatestEntryID() '加上 Tags，当输入了 tag 时
			CF_RemoveCache "BlogTags_" & CStr(bloggerId)
			CF_RemoveCache "BlogTagCloud_" & CStr(bloggerId)
			CF_RemoveCache "AllTagCloud"
		End If
		CF_RemoveCache "BlogTopEntries_" & CStr(bloggerId)
		CF_RemoveCache "AllBloggerList"
		CF_RemoveCache "LatestEntries"
		CF_RemoveCache "BlogBasicInfo_" & CStr(bloggerId)
		CF_RemoveCache "BlogArchives_" & CStr(bloggerId)
	End If
	Set oTagsDb = Nothing
	Set oEntry = Nothing
	Set oBlogs = Nothing
	Set oBloggers = Nothing

	If returnUrl <> "" Then
		Response.Redirect CF_URLDecode(returnUrl) '如果是修改网志，应该返回到点击修改的页面
	Else
		Response.Redirect "PostsMgmt.asp?ID=" & CStr(bloggerId)
	End If
End If

'网志分类
Dim arrBlogCustomCates
arrBlogCustomCates = CF_ReadFromCache("BlogCustomCategoryList_" & CStr(bloggerId))
If Not IsArray(arrBlogCustomCates) Then
	arrBlogCustomCates = oBloggers.GetBlogCustomCategoryList(bloggerId)
	CF_InsertIntoCache "BlogCustomCategoryList_" & CStr(bloggerId), arrBlogCustomCates
End If

'Tag 集合
Dim arrTags
arrTags = CF_ReadFromCache("BlogTags_" & CStr(bloggerId))
If Not IsArray(arrTags) Then
	arrTags = oTagsDb.GetTagList(False)
	CF_InsertIntoCache "BlogTags_" & CStr(bloggerId), arrTags
End If
Set oTagsDb = Nothing

Dim tagStringJS
If IsArray(arrTags) Then
	Dim tj, tgCount
	tgCount = UBound(arrTags, 2)
	For tj = 0 To tgCount
		tagStringJS = tagStringJS & """" & arrTags(1, tj) & """"
		If tj < tgCount Then
			tagStringJS = tagStringJS & ","
		End If
	Next
End If

Set oBlogs = Nothing
Set oBloggers = Nothing

Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>nirvana 用户后台管理 - 编辑网志</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="UserMgmt.css" />
<script type="text/javascript" language="javascript" src="UserMgmt.js"></script>
<script type="text/javascript" language="javascript" src="JS.Quick.Tags.js"></script>
<script type="text/javascript" language="javascript" src="AutoSuggest.js"></script>
</head>
<body>
<div id="wrapper">
<div id="header">
	<h1><% = Server.HTMLEncode(arrThisBlogBasicInfo(1)) %><span id="owner"> - <% = Server.HTMLEncode(arrThisBlogBasicInfo(0)) %></span></h1>
	<h2><% = Server.HTMLEncode("" & arrThisBlogBasicInfo(2)) %>&nbsp;</h2>
</div>
<div id="tabHeader">
	<ul id="tabs">
		<li><a href="default.asp?ID=<% = CStr(bloggerId) %>">开始</a></li>
		<li><a href="PostsMgmt.asp?ID=<% = CStr(bloggerId) %>" id="currentTab">网志发表/管理</a></li>
		<li><a href="CommentsMgmt.asp?ID=<% = CStr(bloggerId) %>">评论审核</a></li>
		<li><a href="EditCategories.asp?ID=<% = CStr(bloggerId) %>">网志分类</a></li>
		<li><a href="EditLinks.asp?ID=<% = CStr(bloggerId) %>">友情链结</a></li>
		<li><a href="PrivateMsgs.asp?ID=<% = CStr(bloggerId) %>">悄悄话（<% = CStr(pmCount(0)) %>/<span class="new"><% = CStr(pmCount(1)) %></span>）</a></li>
		<li><a href="ModRegInfo.asp?ID=<% = CStr(bloggerId) %>">个性化设置</a></li>
		<li><a href="../Blog.asp?ID=<% = CStr(bloggerId) %>" class="return">返回 Blog 首页</a></li>
		<li><a href="UserLogout.asp?ID=<% = CStr(bloggerId) %>" class="return">Logout</a></li>
	</ul>
</div>
<div id="tabBody">
	<div id="side">
		<dl>
			<dt>相关操作</dt>
			<dd><a href="PostsMgmt.asp?ID=<% = CStr(bloggerId) %>">返回“网志管理”页面</a></dd>
		</dl>
		<dl>
			<dt>帮助</dt>
			<dd><a href="../Help/UBBCodeIntro.htm" target="_blank">UBB 标签参考</a></dd>
		</dl>
	</div>
	<div id="content">
		<form id="EditPostForm" name="EditPostForm" action="EditPost.asp" method="post" onsubmit="return ValidFormEditPost();">
			<table id="postTable">
				<tr>
					<td class="l">标题：</td>
					<td><input type="text" id="txtTitle" name="txtTitle" size="80" maxlength="100" class="textBox" value="<% = Server.HTMLEncode(arrCurrentEntryInfo(0)) %>" /></td>
				</tr>
				<tr>
					<td class="l">表情：</td>
					<td>
						<table width="80%" cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td><input type="radio" name="rdoExpression" value="1"<% If "1" = arrCurrentEntryInfo(1) Then %> checked="checked"<% End If %> /> <img src="../Images/E1.gif" alt="" border="0" /></td>
								<td><input type="radio" name="rdoExpression" value="2"<% If "2" = arrCurrentEntryInfo(1) Then %> checked="checked"<% End If %> /> <img src="../Images/E2.gif" alt="" border="0" /></td>
								<td><input type="radio" name="rdoExpression" value="3"<% If "3" = arrCurrentEntryInfo(1) Then %> checked="checked"<% End If %> /> <img src="../Images/E3.gif" alt="" border="0" /></td>
								<td><input type="radio" name="rdoExpression" value="4"<% If "4" = arrCurrentEntryInfo(1) Then %> checked="checked"<% End If %> /> <img src="../Images/E4.gif" alt="" border="0" /></td>
								<td><input type="radio" name="rdoExpression" value="5"<% If "5" = arrCurrentEntryInfo(1) Then %> checked="checked"<% End If %> /> <img src="../Images/E5.gif" alt="" border="0" /></td>
								<td><input type="radio" name="rdoExpression" value="6"<% If "6" = arrCurrentEntryInfo(1) Then %> checked="checked"<% End If %> /> <img src="../Images/E6.gif" alt="" border="0" /></td>
								<td><input type="radio" name="rdoExpression" value="7"<% If "7" = arrCurrentEntryInfo(1) Then %> checked="checked"<% End If %> /> <img src="../Images/E7.gif" alt="" border="0" /></td>
							</tr>
							<tr>
								<td><input type="radio" name="rdoExpression" value="8"<% If "8" = arrCurrentEntryInfo(1) Then %> checked="checked"<% End If %> /> <img src="../Images/E8.gif" alt="" border="0" /></td>
								<td><input type="radio" name="rdoExpression" value="9"<% If "9" = arrCurrentEntryInfo(1) Then %> checked="checked"<% End If %> /> <img src="../Images/E9.gif" alt="" border="0" /></td>
								<td><input type="radio" name="rdoExpression" value="10"<% If "10" = arrCurrentEntryInfo(1) Then %> checked="checked"<% End If %> /> <img src="../Images/E10.gif" alt="" border="0" /></td>
								<td><input type="radio" name="rdoExpression" value="11"<% If "11" = arrCurrentEntryInfo(1) Then %> checked="checked"<% End If %> /> <img src="../Images/E11.gif" alt="" border="0" /></td>
								<td><input type="radio" name="rdoExpression" value="12"<% If "12" = arrCurrentEntryInfo(1) Then %> checked="checked"<% End If %> /> <img src="../Images/E12.gif" alt="" border="0" /></td>
								<td><input type="radio" name="rdoExpression" value="13"<% If "13" = arrCurrentEntryInfo(1) Then %> checked="checked"<% End If %> /> <img src="../Images/E13.gif" alt="" border="0" /></td>
								<td><input type="radio" name="rdoExpression" value="14"<% If "14" = arrCurrentEntryInfo(1) Then %> checked="checked"<% End If %> /> <img src="../Images/E14.gif" alt="" border="0" /></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td class="l">内容：</td>
					<td>
						<script type="text/javascript">edToolbar();</script><!-- UBB 标签栏 -->
						<div id="emoPix"><a href="#" onclick="toggleEmoPixList();">插入表情图片</a>
							<div id="emoPixList">
								<table>
									<tr>
										<td><a href="#" onclick="insertEmotion('[bb1]');"><img src="../Images/BB/BB1.gif" alt="[bb1]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb2]');"><img src="../Images/BB/BB2.gif" alt="[bb2]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb3]');"><img src="../Images/BB/BB3.gif" alt="[bb3]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb4]');"><img src="../Images/BB/BB4.gif" alt="[bb4]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb5]');"><img src="../Images/BB/BB5.gif" alt="[bb5]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb6]');"><img src="../Images/BB/BB6.gif" alt="[bb6]" /></a></td>
									</tr>
									<tr>
										<td><a href="#" onclick="insertEmotion('[bb7]');"><img src="../Images/BB/BB7.gif" alt="[bb7]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb8]');"><img src="../Images/BB/BB8.gif" alt="[bb8]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb9]');"><img src="../Images/BB/BB9.gif" alt="[bb9]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb10]');"><img src="../Images/BB/BB10.gif" alt="[bb10]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb11]');"><img src="../Images/BB/BB11.gif" alt="[bb11]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb12]');"><img src="../Images/BB/BB12.gif" alt="[bb12]" /></a></td>
									</tr>
									<tr>
										<td><a href="#" onclick="insertEmotion('[bb13]');"><img src="../Images/BB/BB13.gif" alt="[bb13]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb14]');"><img src="../Images/BB/BB14.gif" alt="[bb14]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb15]');"><img src="../Images/BB/BB15.gif" alt="[bb15]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb16]');"><img src="../Images/BB/BB16.gif" alt="[bb16]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb17]');"><img src="../Images/BB/BB17.gif" alt="[bb17]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb18]');"><img src="../Images/BB/BB18.gif" alt="[bb18]" /></a></td>
									</tr>
									<tr>
										<td><a href="#" onclick="insertEmotion('[bb19]');"><img src="../Images/BB/BB19.gif" alt="[bb19]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb20]');"><img src="../Images/BB/BB20.gif" alt="[bb20]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb21]');"><img src="../Images/BB/BB21.gif" alt="[bb21]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb22]');"><img src="../Images/BB/BB22.gif" alt="[bb22]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb23]');"><img src="../Images/BB/BB23.gif" alt="[bb23]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb24]');"><img src="../Images/BB/BB24.gif" alt="[bb24]" /></a></td>
									</tr>
									<tr>
										<td><a href="#" onclick="insertEmotion('[bb25]');"><img src="../Images/BB/BB25.gif" alt="[bb25]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb26]');"><img src="../Images/BB/BB26.gif" alt="[bb26]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb27]');"><img src="../Images/BB/BB27.gif" alt="[bb27]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb28]');"><img src="../Images/BB/BB28.gif" alt="[bb28]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb29]');"><img src="../Images/BB/BB29.gif" alt="[bb29]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb30]');"><img src="../Images/BB/BB30.gif" alt="[bb30]" /></a></td>
									</tr>
									<tr>
										<td><a href="#" onclick="insertEmotion('[bb31]');"><img src="../Images/BB/BB31.gif" alt="[bb31]" /></a></td>
										<td><a href="#" onclick="insertEmotion('[bb32]');"><img src="../Images/BB/BB32.gif" alt="[bb32]" /></a></td>
										<td>&nbsp;</td>
										<td>&nbsp;</td>
										<td>&nbsp;</td>
										<td>&nbsp;</td>
									</tr>
								</table>
							</div>
						</div>
						<textarea id="txtContent" name="txtContent" cols="80" rows="25" class="textBox" onfocus="doHideEmoPixList();"><% = arrCurrentEntryInfo(2) %></textarea>
						<script type="text/javascript">var edCanvas = document.getElementById("txtContent");</script>
					</td>
				</tr>
				<tr>
					<td class="l">分类：</td>
					<td>
						<select id="selCategory" name="selCategory" class="textBox">
							<option value="1"<% If "1" = arrCurrentEntryInfo(4) Then %> selected="selected"<% End If %>>未分类</option>
<%
If Not IsNull(arrBlogCustomCates) Then
	Dim r
	For r = 0 To UBound(arrBlogCustomCates, 2)
%>
							<option value="<% = arrBlogCustomCates(0, r) %>"<% If arrCurrentEntryInfo(4) = arrBlogCustomCates(0, r) Then %> selected="selected"<% End If %>><% = Server.HTMLEncode(arrBlogCustomCates(1, r)) %></option>
<%
	Next
End If
%>
						</select>
					</td>
				</tr>
				<tr>
					<td class="l">Tag：</td>
					<td>
						<input type="text" id="txtTags" name="txtTags" class="textBox" size="50" maxlength="200" value="<% = arrCurrentEntryInfo(6) %>" /> <span class="note">多个 tag 之间请用空格分隔</span>
						<div id="autosuggest"><ul></ul></div>
						<script type="text/javascript">
							var myTags = new Array(<% = tagStringJS %>);
							new AutoSuggest(document.getElementById("txtTags"), myTags);
						</script>
						<input type="hidden" id="hidOldTags" name="hidOldTags" value="<% = arrCurrentEntryInfo(6) %>" />
					</td>
				</tr>
				<tr>
					<td class="l">状态：</td>
					<td>
						<input type="radio" id="rdoState1" name="rdoState" value="1"<% If arrCurrentEntryInfo(3) = 1 Then %> checked="checked"<% End If %> /> <label for="rdoState1">公开</label>
						<input type="radio" id="rdoState0" name="rdoState" value="0"<% If arrCurrentEntryInfo(3) = 0 Then %> checked="checked"<% End If %> /> <label for="rdoState0">保密</label> <a href="#" title="仅主人和知道好友密码的浏览者可查看">[?]</a>
						<input type="radio" id="rdoState2" name="rdoState" value="2"<% If arrCurrentEntryInfo(3) = 2 Then %> checked="checked"<% End If %> /> <label for="rdoState2">草稿</label> <a href="#" title="仅主人能在后台查看，不会显示在前台">[?]</a>
					</td>
				</tr>
				<tr>
					<td class="l">选项：</td>
					<td><input type="checkbox" name="chkAllowComment" id="chkAllowComment" value="No"<% If False = arrCurrentEntryInfo(5) Then %> checked="checked"<% End If %> /> <label for="chkAllowComment">关闭评论</label></td>
				</tr>
				<tr>
					<td colspan="2" class="b"><input type="submit" id="btnPost" name="btnPost" value=" 提 交 " class="button" /></td>
				</tr>
			</table>
			<input type="hidden" id="hidIsPostBack" name="hidIsPostBack" value="yEs" />
			<input type="hidden" id="hidBloggerID" name="hidBloggerID" value="<% = CStr(bloggerId) %>" />
			<input type="hidden" id="hidBlogID" name="hidBlogID" value="<% = CStr(blogId) %>" />
			<input type="hidden" id="hidReturnUrl" name="hidReturnUrl" value="<% = returnUrl %>" />
		</form>
	</div>
	<div class="z"></div>
</div>
<!-- #Include File="../Components/Footer.asp" -->
</div>
</body>
</html>
