<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="../Components/ConfigInfo.asp" -->
<!-- #Include File="../Components/CommonFunctions.asp" -->
<!-- #Include File="../Helpers/SystemEnabled.asp" -->
<!-- #Include File="../Components/CDataOperator.asp" -->
<!-- #Include File="../Components/CEnDec.asp" -->
<!-- #Include File="../Components/CBloggersDB.asp" -->
<!-- #Include File="../Components/CBlogsDB.asp" -->
<!-- #Include File="../Components/CPrivateMessagesDB.asp" -->
<%
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then bloggerId = Request.Form("hidBloggerID")
If "" = bloggerId Then CF_StopError "参数缺少：ID"
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)
%>
<!-- #Include File="../Components/CommonCodes4Mgmt.asp" -->
<%
'开启错误处理
On Error Resume Next

Function StripHTML(strHTML)
	Dim objRegExp, strOutput
	Set objRegExp = New Regexp

	objRegExp.IgnoreCase = True
	objRegExp.Global = True
	objRegExp.Pattern = "<(.|\n)+?>"

	'Replace all HTML tag matches with the empty string
	strOutput = objRegExp.Replace(strHTML, "")

	Set objRegExp = Nothing
	stripHTML = strOutput    'Return the value of strOutput
End Function

Sub DoAddEntry(title, desc)
	Dim oEntry, oBlogsDb
	Set oEntry = New BlogInfo
	oEntry.AuthorName = arrThisBlogBasicInfo(0)
	oEntry.AuthorID = bloggerId
	oEntry.Title = title
'	oEntry.Content = StripHTML(CF_HTMLDecode(desc))
	oEntry.Content = "[html]" & desc & "[/html]"
	oEntry.FromIP = CF_GetIPAddress()

	Set oBlogsDb = New BlogsDB
	oBlogsDb.DataConnectionString = mainDataConnectionString
	oBlogsDb.CurrentBloggerID = bloggerId

	oBlogsDb.AddBlogEntry oEntry

	Set oBlogsDb = Nothing
	Set oEntry = Nothing
	CF_RemoveCache "BlogTopEntries_" & CStr(bloggerId)
	CF_RemoveCache "AllBloggerList"
	CF_RemoveCache "LatestEntries"
	CF_RemoveCache "BlogBasicInfo_" & CStr(bloggerId)
	CF_RemoveCache "BlogArchives_" & CStr(bloggerId)
End Sub

Dim operResultPrompt '处理结果提示

'提交后
If 0 = StrComp(Request.Form("hidIsPostBack"), "yEs") Then
	Dim feedUrl
	feedUrl = Request.Form("txtFeedUrl")
	Dim xhPing
	Set xhPing = Server.CreateObject("MSXML2.ServerXMLHTTP")
	xhPing.open "GET", feedUrl, False
	xhPing.send

	Dim rssXml
	rssXml = xhPing.responseText
	Set xhPing = Nothing
	If Err.Number <> 0 Then
		Set oBloggers = Nothing
		StopError "获取 RSS 信息出错，可能原因：超时。"
	End If

	Dim domProc
	Set domProc = Server.CreateObject("MSXML2.DOMDocument")
	domProc.loadXML rssXml
	If Err.Number <> 0 Then
		Set domProc = Nothing
		Set oBloggers = Nothing
		CF_StopError "读取 RSS 信息出错，可能原因：格式不规范。注意：本功能现在只支持 RSS 2.0 规范。"
	End If

	Dim rssItems
	Set rssItems = domProc.getElementsByTagName("item")

	Set domProc = Nothing

'	On Error GoTo 0

	Dim itemCount, numOfImp
	itemCount = rssItems.length - 1
	numOfImp = 0
	If itemCount > 0 Then
		Dim ttl, descr, k, rssItem, child
		For k = itemCount To 0 Step -1
			Set rssItem = rssItems.Item(k)
			For Each child In rssItem.childNodes
				Select Case LCase(child.nodeName)
					Case "title"
						ttl = child.text
					Case "description"
						descr = child.text
				End Select
			Next
			Set child = Nothing
			Set rssItem = Nothing
			'添加网志
			If ttl <> "" And descr <> "" Then
				DoAddEntry ttl, descr
				numOfImp = numOfImp + 1
			End If
		Next
	End If
	Set rssItems = Nothing

	If Err.Number <> 0 Then
		Set oBloggers = Nothing
		CF_StopError Err.Description
	End If
	operResultPrompt = "导入完毕，共计 " & CStr(numOfImp) & " 篇网志。"
End If

Set oBloggers = Nothing

Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>nirvana 用户后台管理 - 网志导入</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="UserMgmt.css" />
</head>
<body>
<div id="wrapper">
<div id="header">
	<h1><% = Server.HTMLEncode(arrThisBlogBasicInfo(1)) %><span id="owner"> - <% = Server.HTMLEncode(arrThisBlogBasicInfo(0)) %></span></h1>
	<h2><% = Server.HTMLEncode("" & arrThisBlogBasicInfo(2)) %>&nbsp;</h2>
</div>
<div id="tabHeader">
	<ul id="tabs">
		<li><a href="default.asp?ID=<% = CStr(bloggerId) %>">开始</a></li>
		<li><a href="PostsMgmt.asp?ID=<% = CStr(bloggerId) %>" id="currentTab">网志发表/管理</a></li>
		<li><a href="CommentsMgmt.asp?ID=<% = CStr(bloggerId) %>">评论审核</a></li>
		<li><a href="EditCategories.asp?ID=<% = CStr(bloggerId) %>">网志分类</a></li>
		<li><a href="EditLinks.asp?ID=<% = CStr(bloggerId) %>">友情链结</a></li>
		<li><a href="PrivateMsgs.asp?ID=<% = CStr(bloggerId) %>">悄悄话（<% = CStr(pmCount(0)) %>/<span class="new"><% = CStr(pmCount(1)) %></span>）</a></li>
		<li><a href="ModRegInfo.asp?ID=<% = CStr(bloggerId) %>">个性化设置</a></li>
		<li><a href="../Blog.asp?ID=<% = CStr(bloggerId) %>" class="return">返回 Blog 首页</a></li>
		<li><a href="UserLogout.asp?ID=<% = CStr(bloggerId) %>" class="return">Logout</a></li>
	</ul>
</div>
<div id="tabBody">
	<div id="side">
		<dl>
			<dt>相关操作</dt>
			<dd><a href="PostsMgmt.asp?ID=<% = CStr(bloggerId) %>">返回“网志管理”页面</a></dd>
		</dl>
	</div>
	<div id="content">
		<dl>
			<dt>网志导入</dt>
			<dd>
				<form action="Import.asp" method="post" id="ImpForm" name="ImpForm">
					<p>请输入相应的 RSS 网址（包括“http://”）</p>
					<p><input type="text" name="txtFeedUrl" id="txtFeedUrl" class="textBox" size="50" /> <input type="submit" id="btnSub" name="btnSub" class="button" value="提交" /></p>
					<fieldset>
						<legend>注意事项</legend>
						<ul id="importInfo">
							<li>只支持符合 <span style="color:red;">RSS 2.0</span> 标准的，输出为纯 XML 文档的聚合内容。</li>
							<li>导入的网志将归入缺省的“未分类”类别中。</li>
							<li>导入网志的“发表时间”将变成导入时的那个时刻。</li>
							<li>导入网志正文中的 HTML 标签将被全部虑去，仅保留文字。（导入后你可能需要花功夫重新排版……）</li>
						</ul>
					</fieldset>
					<input type="hidden" id="hidIsPostBack" name="hidIsPostBack" value="yEs" />
					<input type="hidden" id="hidBloggerIDAdd" name="hidBloggerID" value="<% = CStr(bloggerId) %>" />
				</form>
			</dd>
			<dd><div class="operResult"><% = operResultPrompt %></div></dd>
		</dl>
	</div>
	<div class="z"></div><!-- Dirty code... -->
</div>
<!-- #Include File="../Components/Footer.asp" -->
</div>
</body>
</html>
