<%@ CodePage="65001"%>
<% Option Explicit %>
<!-- #Include File="../Components/ConfigInfo.asp" -->
<!-- #Include File="../Components/CommonFunctions.asp" -->
<!-- #Include File="../Helpers/SystemEnabled.asp" -->
<!-- #Include File="../Components/CDataOperator.asp" -->
<!-- #Include File="../Components/CEnDec.asp" -->
<!-- #Include File="../Components/CBloggersDB.asp" -->
<!-- #Include File="../Components/CPrivateMessagesDB.asp" -->
<%
Dim bloggerId
bloggerId = Request.QueryString("ID")
If "" = bloggerId Then bloggerId = Request.Form("hidBloggerID")
If "" = bloggerId Then CF_StopError "参数缺少：ID"
If Not IsNumeric(bloggerId) Then CF_StopError "参数错误：ID"
bloggerId = CLng(bloggerId)
%>
<!-- #Include File="../Components/CommonCodes4Mgmt.asp" -->
<%
Dim oPMs1
Set oPMs1 = New PrivateMessagesDB
oPMs1.DataConnectionString = mainDataConnectionString
oPMs1.CurrentBloggerID = bloggerId

If StrComp(Request.Form("hidIsPostBack"), "yEs") = 0 Then '删除悄悄话提交后
	Dim delIds
	delIds = Request.Form("chkSelPMs")
	If delIds <> "" Then '有悄悄话条目被选择
		oPMs1.DeletePMs delIds
		CF_RemoveCache "BlogPMNum_" & CStr(bloggerId)
		CF_RemoveCache "BlogPMList_" & CStr(bloggerId)
	End If
	Set oPMs1 = Nothing
	Response.Redirect "PrivateMsgs.asp?ID=" & CStr(bloggerId)
End If

'取得悄悄话列表
Dim pmList
pmList = CF_ReadFromCache("BlogPMList_" & CStr(bloggerId))
If Not IsArray(pmList) Then
	pmList = oPMs1.GetPrivateMessages()
	CF_InsertIntoCache "BlogPMList_" & CStr(bloggerId), pmList
End If

Set oPMs1 = Nothing

Session.CodePage = 65001
Response.ContentType = "text/html; charset=utf-8"
%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>nirvana 用户后台管理 - 悄悄话管理</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="UserMgmt.css" />
</head>
<body>
<div id="wrapper">
<div id="header">
	<h1><% = Server.HTMLEncode(arrThisBlogBasicInfo(1)) %><span id="owner"> - <% = Server.HTMLEncode(arrThisBlogBasicInfo(0)) %></span></h1>
	<h2><% = Server.HTMLEncode("" & arrThisBlogBasicInfo(2)) %>&nbsp;</h2>
</div>
<div id="tabHeader">
	<ul id="tabs">
		<li><a href="default.asp?ID=<% = CStr(bloggerId) %>">开始</a></li>
		<li><a href="PostsMgmt.asp?ID=<% = CStr(bloggerId) %>">网志发表/管理</a></li>
		<li><a href="CommentsMgmt.asp?ID=<% = CStr(bloggerId) %>">评论审核</a></li>
		<li><a href="EditCategories.asp?ID=<% = CStr(bloggerId) %>">网志分类</a></li>
		<li><a href="EditLinks.asp?ID=<% = CStr(bloggerId) %>">友情链结</a></li>
		<li><a href="PrivateMsgs.asp?ID=<% = CStr(bloggerId) %>" id="currentTab">悄悄话（<% = CStr(pmCount(0)) %>/<span class="new"><% = CStr(pmCount(1)) %></span>）</a></li>
		<li><a href="ModRegInfo.asp?ID=<% = CStr(bloggerId) %>">个性化设置</a></li>
		<li><a href="../Blog.asp?ID=<% = CStr(bloggerId) %>" class="return">返回 Blog 首页</a></li>
		<li><a href="UserLogout.asp?ID=<% = CStr(bloggerId) %>" class="return">Logout</a></li>
	</ul>
</div>
<div id="tabBody">
	<div id="side">
	</div>
	<div id="content">
		<form action="PrivateMsgs.asp" id="PMMgmtForm" name="PMMgmtForm" method="post">
			<dl>
				<dt>悄悄话列表</dt>
				<dd>
					<table id="pmTable" cellspacing="1">
						<tr style="background:#369;color:#FFF;">
							<th width="5%" align="center">选</th>
							<th width="5%" align="center">新</th>
							<th width="45%" align="center">标题</th>
							<th width="20%" align="center">留言人</th>
							<th width="25%" align="center">时间</th>
						</tr>
<%
If Not IsNull(pmList) Then
	Dim r
	For r = 0 To UBound(pmList, 2)
%>
						<tr<% If 0 = pmList(6, r) Then %> class="new"<% End If %>>
							<td align="center"><input type="checkbox" name="chkSelPMs" value="<% = pmList(0, r)%>" /></td>
							<td align="center"><% If 0 = pmList(6, r) Then %><span style="color:#f00;">◆</span><% Else %>&nbsp;<% End If %></td>
							<td><a href="ReadPrivateMsg.asp?ID=<% = CStr(bloggerId) %>&amp;PMID=<% = pmList(0, r) %>"><% = Server.HTMLEncode(pmList(3, r)) %></a></td>
							<td><% = Server.HTMLEncode(pmList(1, r)) %></td>
							<td><% = FormatDateTime(pmList(5, r), 0) %></td>
						</tr>
<%
	Next
End If
%>
					</table>
				</dd>
				<dd>将选中的悄悄话 <input type="submit" id="subDelete" name="subDelete" value="删除" class="button" onclick="return confirm('确定要删除选中的悄悄话？');" /></dd>
			</dl>
			<input type="hidden" id="hidIsPostBack" name="hidIsPostBack" value="yEs" />
			<input type="hidden" id="hidBloggerID" name="hidBloggerID" value="<% = CStr(bloggerId) %>" />
		</form>
	</div>
	<div class="z"></div>
</div>
<!-- #Include File="../Components/Footer.asp" -->
</div>
</body>
</html>
